import{S as Vv,i as Bv,s as Kv,e as n,k as i,w as f,t as l,M as Sv,c as s,d as t,m as d,a as r,x as u,h as c,b as a,G as e,g as p,y as h,q as _,o as g,B as b,v as Wv,L as rd}from"../../chunks/vendor-hf-doc-builder.js";import{T as zv}from"../../chunks/Tip-hf-doc-builder.js";import{D as y}from"../../chunks/Docstring-hf-doc-builder.js";import{C as ad}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as M}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as sd}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Xv(j){let x,T,D,$,k;return $=new ad({props:{code:`import torch
from diffusers import UNet2DConditionModel
from xformers.ops import MemoryEfficientAttentionFlashAttentionOp

model = UNet2DConditionModel.from_pretrained(
    "stabilityai/stable-diffusion-2-1", subfolder="unet", torch_dtype=torch.float16
)
model = model.to("cuda")
model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> UNet2DConditionModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> xformers.ops <span class="hljs-keyword">import</span> MemoryEfficientAttentionFlashAttentionOp

<span class="hljs-meta">&gt;&gt;&gt; </span>model = UNet2DConditionModel.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-1&quot;</span>, subfolder=<span class="hljs-string">&quot;unet&quot;</span>, torch_dtype=torch.float16
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = model.to(<span class="hljs-string">&quot;cuda&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model.enable_xformers_memory_efficient_attention(attention_op=MemoryEfficientAttentionFlashAttentionOp)`}}),{c(){x=n("p"),T=l("Examples:"),D=i(),f($.$$.fragment)},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Examples:"),w.forEach(t),D=d(v),u($.$$.fragment,v)},m(v,w){p(v,x,w),e(x,T),p(v,D,w),h($,v,w),k=!0},p:rd,i(v){k||(_($.$$.fragment,v),k=!0)},o(v){g($.$$.fragment,v),k=!1},d(v){v&&t(x),v&&t(D),b($,v)}}}function Hv(j){let x,T,D,$,k,v,w,ee;return{c(){x=n("p"),T=l("It is required to be logged in ("),D=n("code"),$=l("huggingface-cli login"),k=l(") when you want to use private or "),v=n("a"),w=l(`gated
models`),ee=l("."),this.h()},l(Te){x=s(Te,"P",{});var W=r(x);T=c(W,"It is required to be logged in ("),D=s(W,"CODE",{});var X=r(D);$=c(X,"huggingface-cli login"),X.forEach(t),k=c(W,") when you want to use private or "),v=s(W,"A",{href:!0,rel:!0});var Ls=r(v);w=c(Ls,`gated
models`),Ls.forEach(t),ee=c(W,"."),W.forEach(t),this.h()},h(){a(v,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),a(v,"rel","nofollow")},m(Te,W){p(Te,x,W),e(x,T),e(x,D),e(D,$),e(x,k),e(x,v),e(v,w),e(x,ee)},d(Te){Te&&t(x)}}}function Qv(j){let x,T,D,$,k;return{c(){x=n("p"),T=l("Activate the special "),D=n("a"),$=l("\u201Coffline-mode\u201D"),k=l(` to use
this method in a firewalled environment.`),this.h()},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Activate the special "),D=s(w,"A",{href:!0,rel:!0});var ee=r(D);$=c(ee,"\u201Coffline-mode\u201D"),ee.forEach(t),k=c(w,` to use
this method in a firewalled environment.`),w.forEach(t),this.h()},h(){a(D,"href","https://huggingface.co/diffusers/installation.html#offline-mode"),a(D,"rel","nofollow")},m(v,w){p(v,x,w),e(x,T),e(x,D),e(D,$),e(x,k)},d(v){v&&t(x)}}}function Rv(j){let x,T,D,$,k;return $=new ad({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co and cache.
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# Model was saved using *save_pretrained('./test/saved_model/')* (for example purposes, not runnable).
model, params = FlaxUNet2DConditionModel.from_pretrained("./test/saved_model/")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co and cache.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Model was saved using *save_pretrained(&#x27;./test/saved_model/&#x27;)* (for example purposes, not runnable).</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;./test/saved_model/&quot;</span>)`}}),{c(){x=n("p"),T=l("Examples:"),D=i(),f($.$$.fragment)},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Examples:"),w.forEach(t),D=d(v),u($.$$.fragment,v)},m(v,w){p(v,x,w),e(x,T),p(v,D,w),h($,v,w),k=!0},p:rd,i(v){k||(_($.$$.fragment,v),k=!0)},o(v){g($.$$.fragment,v),k=!1},d(v){v&&t(x),v&&t(D),b($,v)}}}function Yv(j){let x,T,D,$,k;return $=new ad({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision
params = model.to_bf16(params)
# If you don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_bf16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model parameters will be in fp32 precision, to cast these to bfloat16 precision</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_bf16(params, mask)`}}),{c(){x=n("p"),T=l("Examples:"),D=i(),f($.$$.fragment)},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Examples:"),w.forEach(t),D=d(v),u($.$$.fragment,v)},m(v,w){p(v,x,w),e(x,T),p(v,D,w),h($,v,w),k=!0},p:rd,i(v){k||(_($.$$.fragment,v),k=!0)},o(v){g($.$$.fragment,v),k=!1},d(v){v&&t(x),v&&t(D),b($,v)}}}function Gv(j){let x,T,D,$,k;return $=new ad({props:{code:`from diffusers import FlaxUNet2DConditionModel

# load model
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to cast these to float16
params = model.to_fp16(params)
# If you want don't want to cast certain parameters (for example layer norm bias and scale)
# then pass the mask as follows
from flax import traverse_util

model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
flat_params = traverse_util.flatten_dict(params)
mask = {
    path: (path[-2] != ("LayerNorm", "bias") and path[-2:] != ("LayerNorm", "scale"))
    for path in flat_params
}
mask = traverse_util.unflatten_dict(mask)
params = model.to_fp16(params, mask)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># load model</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to cast these to float16</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># If you want don&#x27;t want to cast certain parameters (for example layer norm bias and scale)</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># then pass the mask as follows</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> flax <span class="hljs-keyword">import</span> traverse_util

<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>flat_params = traverse_util.flatten_dict(params)
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = {
<span class="hljs-meta">... </span>    path: (path[-<span class="hljs-number">2</span>] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;bias&quot;</span>) <span class="hljs-keyword">and</span> path[-<span class="hljs-number">2</span>:] != (<span class="hljs-string">&quot;LayerNorm&quot;</span>, <span class="hljs-string">&quot;scale&quot;</span>))
<span class="hljs-meta">... </span>    <span class="hljs-keyword">for</span> path <span class="hljs-keyword">in</span> flat_params
<span class="hljs-meta">... </span>}
<span class="hljs-meta">&gt;&gt;&gt; </span>mask = traverse_util.unflatten_dict(mask)
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp16(params, mask)`}}),{c(){x=n("p"),T=l("Examples:"),D=i(),f($.$$.fragment)},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Examples:"),w.forEach(t),D=d(v),u($.$$.fragment,v)},m(v,w){p(v,x,w),e(x,T),p(v,D,w),h($,v,w),k=!0},p:rd,i(v){k||(_($.$$.fragment,v),k=!0)},o(v){g($.$$.fragment,v),k=!1},d(v){v&&t(x),v&&t(D),b($,v)}}}function Jv(j){let x,T,D,$,k;return $=new ad({props:{code:`from diffusers import FlaxUNet2DConditionModel

# Download model and configuration from huggingface.co
model, params = FlaxUNet2DConditionModel.from_pretrained("runwayml/stable-diffusion-v1-5")
# By default, the model params will be in fp32, to illustrate the use of this method,
# we'll first cast to fp16 and back to fp32
params = model.to_f16(params)
# now cast back to fp32
params = model.to_fp32(params)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> FlaxUNet2DConditionModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Download model and configuration from huggingface.co</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model, params = FlaxUNet2DConditionModel.from_pretrained(<span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># By default, the model params will be in fp32, to illustrate the use of this method,</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># we&#x27;ll first cast to fp16 and back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_f16(params)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now cast back to fp32</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>params = model.to_fp32(params)`}}),{c(){x=n("p"),T=l("Examples:"),D=i(),f($.$$.fragment)},l(v){x=s(v,"P",{});var w=r(x);T=c(w,"Examples:"),w.forEach(t),D=d(v),u($.$$.fragment,v)},m(v,w){p(v,x,w),e(x,T),p(v,D,w),h($,v,w),k=!0},p:rd,i(v){k||(_($.$$.fragment,v),k=!0)},o(v){g($.$$.fragment,v),k=!1},d(v){v&&t(x),v&&t(D),b($,v)}}}function Zv(j){let x,T,D,$,k,v,w,ee,Te,W,X,Ls,yr,xc,$c,xr,wc,Dc,id,Me,io,$r,mt,kc,wr,Tc,dd,N,pt,Mc,Dr,Nc,Ec,js,Is,Ac,Uc,Cc,kr,pe,Tr,Fc,Pc,Mr,Oc,qc,zs,Lc,jc,Ic,fe,ft,zc,Nr,Vc,Bc,Er,Kc,Sc,lo,ut,Wc,Ar,Xc,Hc,ue,ht,Qc,Ur,Rc,Yc,Cr,Gc,Jc,B,_t,Zc,Fr,em,om,Pr,tm,nm,Or,sm,rm,co,am,F,gt,im,qr,dm,lm,Ne,cm,Lr,mm,pm,jr,fm,um,hm,bt,_m,Ir,gm,bm,vm,vt,ym,zr,xm,$m,wm,mo,Dm,po,km,fo,yt,Tm,Vr,Mm,Nm,uo,xt,Em,$t,Am,Br,Um,Cm,ld,Ee,ho,Kr,wt,Fm,Sr,Pm,cd,Dt,kt,md,Ae,_o,Wr,Tt,Om,Xr,qm,pd,H,Mt,Lm,Hr,jm,Im,Nt,zm,Vs,Vm,Bm,Km,Bs,Et,fd,Ue,go,Qr,At,Sm,Rr,Wm,ud,Ut,Ct,hd,Ce,bo,Yr,Ft,Xm,Gr,Hm,_d,Q,Pt,Qm,Jr,Rm,Ym,Ot,Gm,Ks,Jm,Zm,ep,Ss,qt,gd,Fe,vo,Zr,Lt,op,ea,tp,bd,jt,It,vd,Pe,yo,oa,zt,np,ta,sp,yd,P,Vt,rp,na,ap,ip,Bt,dp,Ws,lp,cp,mp,Xs,Kt,pp,he,St,fp,sa,up,hp,ra,_p,gp,Hs,Wt,xd,Oe,xo,aa,Xt,bp,ia,vp,$d,Ht,Qt,wd,qe,$o,da,Rt,yp,la,xp,Dd,O,Yt,$p,ca,wp,Dp,Gt,kp,Qs,Tp,Mp,Np,Rs,Jt,Ep,_e,Zt,Ap,ma,Up,Cp,pa,Fp,Pp,Ys,en,kd,Le,wo,fa,on,Op,ua,qp,Td,je,tn,Lp,ha,jp,Md,Ie,Do,_a,nn,Ip,ga,zp,Nd,ze,sn,Vp,ba,Bp,Ed,Ve,ko,va,rn,Kp,ya,Sp,Ad,R,an,Wp,xa,Xp,Hp,dn,Qp,Gs,Rp,Yp,Gp,Js,ln,Ud,Be,To,$a,cn,Jp,wa,Zp,Cd,Ke,mn,ef,Da,of,Fd,Se,Mo,ka,pn,tf,Ta,nf,Pd,E,fn,sf,Ma,rf,af,un,df,Zs,lf,cf,mf,No,hn,pf,_n,ff,Na,uf,hf,_f,Eo,gn,gf,bn,bf,Ea,vf,yf,xf,Ao,vn,$f,Aa,wf,Df,Uo,yn,kf,Ua,Tf,Mf,er,xn,Nf,Co,$n,Ef,Ca,Af,Uf,Fo,wn,Cf,Fa,Ff,Od,We,Po,Pa,Dn,Pf,Oa,Of,qd,q,kn,qf,qa,Lf,jf,La,If,zf,Tn,Vf,ja,Bf,Kf,Sf,Ia,Wf,Xf,or,Mn,Ld,Xe,Oo,za,Nn,Hf,Va,Qf,jd,En,An,Id,He,qo,Ba,Un,Rf,Ka,Yf,zd,ie,Cn,Gf,Sa,Jf,Zf,tr,Fn,Vd,Qe,Lo,Wa,Pn,eu,Xa,ou,Bd,On,qn,Kd,Re,jo,Ha,Ln,tu,Qa,nu,Sd,z,jn,su,Ra,ru,au,In,iu,nr,du,lu,cu,sr,mu,zn,pu,fu,rr,Vn,Wd,Ye,Io,Ya,Bn,uu,Ga,hu,Xd,Kn,Sn,Hd,Ge,zo,Ja,Wn,_u,Za,gu,Qd,Xn,Hn,Rd,Je,Vo,ei,Qn,bu,oi,vu,Yd,Y,Rn,yu,Bo,Yn,xu,ti,$u,wu,ge,Gn,Du,ni,ku,Tu,si,Mu,Nu,ar,Jn,Gd,Ze,Ko,ri,Zn,Eu,ai,Au,Jd,U,es,Uu,ii,Cu,Fu,ir,dr,Pu,Ou,qu,K,os,Lu,di,ju,Iu,ts,zu,li,Vu,Bu,Ku,ns,Su,ci,Wu,Xu,Hu,So,Qu,Wo,ss,Ru,rs,Yu,mi,Gu,Ju,Zu,oe,as,eh,G,oh,pi,th,nh,fi,sh,rh,ui,ah,ih,hi,dh,lh,ch,_i,mh,ph,Xo,fh,te,is,uh,J,hh,gi,_h,gh,bi,bh,vh,vi,yh,xh,yi,$h,wh,Dh,xi,kh,Th,Ho,Mh,be,ds,Nh,Z,Eh,$i,Ah,Uh,wi,Ch,Fh,Di,Ph,Oh,ki,qh,Lh,jh,Qo,Zd,eo,Ro,Ti,ls,Ih,Mi,zh,el,oo,cs,Vh,Yo,ms,Bh,Ni,Kh,ol,to,Go,Ei,ps,Sh,Ai,Wh,tl,L,fs,Xh,Ui,Hh,Qh,us,Rh,lr,Yh,Gh,Jh,hs,Zh,_s,e_,o_,t_,Ci,n_,s_,de,Fi,gs,r_,a_,Pi,bs,i_,d_,Oi,vs,l_,c_,qi,ys,m_,nl,no,Jo,Li,xs,p_,ji,f_,sl,le,$s,u_,Ii,h_,__,Zo,ws,g_,zi,b_,rl,so,et,Vi,Ds,v_,Bi,y_,al,ce,ks,x_,Ki,$_,w_,ot,Ts,D_,Si,k_,il,ro,tt,Wi,Ms,T_,Xi,M_,dl,V,Ns,N_,Hi,E_,A_,Es,U_,As,C_,F_,P_,Qi,O_,q_,me,Ri,Us,L_,j_,Yi,Cs,I_,z_,Gi,Fs,V_,B_,Ji,Ps,K_,ll;return v=new M({}),mt=new M({}),pt=new y({props:{name:"class diffusers.ModelMixin",anchor:"diffusers.ModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L156"}}),ft=new y({props:{name:"disable_gradient_checkpointing",anchor:"diffusers.ModelMixin.disable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L194"}}),ut=new y({props:{name:"disable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.disable_xformers_memory_efficient_attention",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L253"}}),ht=new y({props:{name:"enable_gradient_checkpointing",anchor:"diffusers.ModelMixin.enable_gradient_checkpointing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L183"}}),_t=new y({props:{name:"enable_xformers_memory_efficient_attention",anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention",parameters:[{name:"attention_op",val:": typing.Optional[typing.Callable] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.attention_op",description:`<strong>attention_op</strong> (<code>Callable</code>, <em>optional</em>) &#x2014;
Override the default <code>None</code> operator for use as <code>op</code> argument to the
<a href="https://facebookresearch.github.io/xformers/components/ops.html#xformers.ops.memory_efficient_attention" rel="nofollow"><code>memory_efficient_attention()</code></a>
function of xFormers.`,name:"attention_op"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L221"}}),co=new sd({props:{anchor:"diffusers.ModelMixin.enable_xformers_memory_efficient_attention.example",$$slots:{default:[Xv]},$$scope:{ctx:j}}}),gt=new y({props:{name:"from_pretrained",anchor:"diffusers.ModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike, NoneType]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.ModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>, <em>optional</em>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.ModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.ModelMixin.from_pretrained.torch_dtype",description:`<strong>torch_dtype</strong> (<code>str</code> or <code>torch.dtype</code>, <em>optional</em>) &#x2014;
Override the default <code>torch.dtype</code> and load the model under this dtype. If <code>&quot;auto&quot;</code> is passed the dtype
will be automatically derived from the model&#x2019;s weights.`,name:"torch_dtype"},{anchor:"diffusers.ModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.ModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.ModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.ModelMixin.from_pretrained.output_loading_info(bool,",description:`<strong>output_loading_info(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to also return a dictionary containing missing keys, unexpected keys and error messages.`,name:"output_loading_info(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.ModelMixin.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.ModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.ModelMixin.from_pretrained.from_flax",description:`<strong>from_flax</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a Flax checkpoint save file.`,name:"from_flax"},{anchor:"diffusers.ModelMixin.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.ModelMixin.from_pretrained.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"},{anchor:"diffusers.ModelMixin.from_pretrained.device_map",description:`<strong>device_map</strong> (<code>str</code> or <code>Dict[str, Union[int, str, torch.device]]</code>, <em>optional</em>) &#x2014;
A map that specifies where each submodule should go. It doesn&#x2019;t need to be refined to each
parameter/buffer name, once a given module name is inside, every submodule of it will be sent to the
same device.</p>
<p>To have Accelerate compute the most optimized <code>device_map</code> automatically, set <code>device_map=&quot;auto&quot;</code>. For
more information about each option see <a href="https://hf.co/docs/accelerate/main/en/usage_guides/big_modeling#designing-a-device-map" rel="nofollow">designing a device
map</a>.`,name:"device_map"},{anchor:"diffusers.ModelMixin.from_pretrained.low_cpu_mem_usage",description:`<strong>low_cpu_mem_usage</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code> if torch version &gt;= 1.9.0 else <code>False</code>) &#x2014;
Speed up model loading by not initializing the weights and only loading the pre-trained weights. This
also tries to not use more than 1x model size in CPU memory (including peak memory) while loading the
model. This is only supported when torch version &gt;= 1.9.0. If you are using an older version of torch,
setting this argument to <code>True</code> will raise an error.`,name:"low_cpu_mem_usage"},{anchor:"diffusers.ModelMixin.from_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified load weights from <code>variant</code> filename, <em>e.g.</em> pytorch_model.<variant>.bin. <code>variant</code> is
ignored when using <code>from_flax</code>.</variant>`,name:"variant"},{anchor:"diffusers.ModelMixin.from_pretrained.use_safetensors",description:`<strong>use_safetensors</strong> (<code>bool</code>, <em>optional</em> ) &#x2014;
If set to <code>True</code>, the pipeline will forcibly load the models from <code>safetensors</code> weights. If set to
<code>None</code> (the default). The pipeline will load using <code>safetensors</code> if safetensors weights are available
<em>and</em> if <code>safetensors</code> is installed. If the to <code>False</code> the pipeline will <em>not</em> use <code>safetensors</code>.`,name:"use_safetensors"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L319"}}),mo=new zv({props:{$$slots:{default:[Hv]},$$scope:{ctx:j}}}),po=new zv({props:{$$slots:{default:[Qv]},$$scope:{ctx:j}}}),yt=new y({props:{name:"num_parameters",anchor:"diffusers.ModelMixin.num_parameters",parameters:[{name:"only_trainable",val:": bool = False"},{name:"exclude_embeddings",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.ModelMixin.num_parameters.only_trainable",description:`<strong>only_trainable</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of trainable parameters`,name:"only_trainable"},{anchor:"diffusers.ModelMixin.num_parameters.exclude_embeddings",description:`<strong>exclude_embeddings</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to return only the number of non-embeddings parameters`,name:"exclude_embeddings"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L762",returnDescription:`
<p>The number of parameters.</p>
`,returnType:`
<p><code>int</code></p>
`}}),xt=new y({props:{name:"save_pretrained",anchor:"diffusers.ModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"is_main_process",val:": bool = True"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"},{name:"variant",val:": typing.Optional[str] = None"}],parametersDescription:[{anchor:"diffusers.ModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.ModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.ModelMixin.save_pretrained.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"},{anchor:"diffusers.ModelMixin.save_pretrained.safe_serialization",description:`<strong>safe_serialization</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to save the model using <code>safetensors</code> or the traditional PyTorch way (that uses <code>pickle</code>).`,name:"safe_serialization"},{anchor:"diffusers.ModelMixin.save_pretrained.variant",description:`<strong>variant</strong> (<code>str</code>, <em>optional</em>) &#x2014;
If specified, weights are saved in the format pytorch_model.<variant>.bin.</variant>`,name:"variant"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_utils.py#L259"}}),wt=new M({}),kt=new y({props:{name:"class diffusers.models.unet_2d.UNet2DOutput",anchor:"diffusers.models.unet_2d.UNet2DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d.UNet2DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d.py#L28"}}),Tt=new M({}),Mt=new y({props:{name:"class diffusers.UNet2DModel",anchor:"diffusers.UNet2DModel",parameters:[{name:"sample_size",val:": typing.Union[int, typing.Tuple[int, int], NoneType] = None"},{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"center_input_sample",val:": bool = False"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"freq_shift",val:": int = 0"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D', 'AttnDownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock2D', 'AttnUpBlock2D', 'AttnUpBlock2D', 'UpBlock2D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (224, 448, 672, 896)"},{name:"layers_per_block",val:": int = 2"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"downsample_padding",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"attention_head_dim",val:": typing.Optional[int] = 8"},{name:"norm_num_groups",val:": int = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"add_attention",val:": bool = True"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"attention_block_type",val:": str = 'AttentionBlock'"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.UNet2DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;positional&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet2DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>True</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;, &quot;AttnDownBlock2D&quot;)</code>): Tuple of downsample block
types.`,name:"down_block_types"},{anchor:"diffusers.UNet2DModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2D&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2D</code> or <code>UnCLIPUNetMidBlock2D</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;AttnUpBlock2D&quot;, &quot;UpBlock2D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet2DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(224, 448, 672, 896)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <code>2</code>) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The scale factor for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to <code>1</code>) &#x2014; The padding for the downsample convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014; The attention head dimension.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; The number of groups for the normalization.",name:"norm_num_groups"},{anchor:"diffusers.UNet2DModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to <code>1e-5</code>) &#x2014; The epsilon for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014;
The type of class embedding to use which is ultimately summed with the time embeddings. Choose from <code>None</code>,
<code>&quot;timestep&quot;</code>, or <code>&quot;identity&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d.py#L38"}}),Et=new y({props:{name:"forward",anchor:"diffusers.UNet2DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DModel.forward.class_labels",description:`<strong>class_labels</strong> (<code>torch.FloatTensor</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Optional class labels for conditioning. Their embeddings will be summed with the timestep embeddings.`,name:"class_labels"},{anchor:"diffusers.UNet2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d.UNet2DOutput">UNet2DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d.py#L222",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d.UNet2DOutput"
>UNet2DOutput</a> or <code>tuple</code></p>
`}}),At=new M({}),Ct=new y({props:{name:"class diffusers.models.unet_1d.UNet1DOutput",anchor:"diffusers.models.unet_1d.UNet1DOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_1d.UNet1DOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, sample_size)</code>) &#x2014;
Hidden states output. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_1d.py#L29"}}),Ft=new M({}),Pt=new y({props:{name:"class diffusers.UNet1DModel",anchor:"diffusers.UNet1DModel",parameters:[{name:"sample_size",val:": int = 65536"},{name:"sample_rate",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 2"},{name:"out_channels",val:": int = 2"},{name:"extra_in_channels",val:": int = 0"},{name:"time_embedding_type",val:": str = 'fourier'"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"use_timestep_embedding",val:": bool = False"},{name:"freq_shift",val:": float = 0.0"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownBlock1DNoSkip', 'DownBlock1D', 'AttnDownBlock1D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('AttnUpBlock1D', 'UpBlock1D', 'UpBlock1DNoSkip')"},{name:"mid_block_type",val:": typing.Tuple[str] = 'UNetMidBlock1D'"},{name:"out_block_type",val:": str = None"},{name:"block_out_channels",val:": typing.Tuple[int] = (32, 32, 64)"},{name:"act_fn",val:": str = None"},{name:"norm_num_groups",val:": int = 8"},{name:"layers_per_block",val:": int = 1"},{name:"downsample_each_block",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Default length of sample. Should be adaptable at runtime.",name:"sample_size"},{anchor:"diffusers.UNet1DModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet1DModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet1DModel.time_embedding_type",description:"<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;fourier&quot;</code>) &#x2014; Type of time embedding to use.",name:"time_embedding_type"},{anchor:"diffusers.UNet1DModel.freq_shift",description:"<strong>freq_shift</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; Frequency shift for fourier time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet1DModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>False</code>): Whether to flip sin to cos for fourier time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet1DModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownBlock1D&quot;, &quot;DownBlock1DNoSkip&quot;, &quot;AttnDownBlock1D&quot;)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.UNet1DModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpBlock1D&quot;, &quot;UpBlock1DNoSkip&quot;, &quot;AttnUpBlock1D&quot;)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.UNet1DModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(32, 32, 64)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.UNet1DModel.mid_block_type",description:"<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;UNetMidBlock1D&#x201D;) &#x2014; block type for middle of UNet.",name:"mid_block_type"},{anchor:"diffusers.UNet1DModel.out_block_type",description:"<strong>out_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014; optional output processing of UNet.",name:"out_block_type"},{anchor:"diffusers.UNet1DModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014; optional activation function in UNet blocks.",name:"act_fn"},{anchor:"diffusers.UNet1DModel.norm_num_groups",description:"<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; group norm member count in UNet blocks.",name:"norm_num_groups"},{anchor:"diffusers.UNet1DModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; added number of layers in a UNet block.",name:"layers_per_block"},{anchor:"diffusers.UNet1DModel.downsample_each_block",description:`<strong>downsample_each_block</strong> (<code>int</code>, <em>optional</em>, defaults to False &#x2014;
experimental feature for using a UNet without upsampling.`,name:"downsample_each_block"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_1d.py#L39"}}),qt=new y({props:{name:"forward",anchor:"diffusers.UNet1DModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet1DModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; <code>(batch_size, num_channels, sample_size)</code> noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet1DModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or `int) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet1DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_1d.UNet1DOutput">UNet1DOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_1d.py#L190",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> if <code>return_dict</code> is True,
otherwise a <code>tuple</code>. When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_1d.UNet1DOutput"
>UNet1DOutput</a> or <code>tuple</code></p>
`}}),Lt=new M({}),It=new y({props:{name:"class diffusers.models.unet_2d_condition.UNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition.UNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition.py#L43"}}),zt=new M({}),Vt=new y({props:{name:"class diffusers.UNet2DConditionModel",anchor:"diffusers.UNet2DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"center_input_sample",val:": bool = False"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"mid_block_type",val:": typing.Optional[str] = 'UNetMidBlock2DCrossAttn'"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"dual_cross_attention",val:": bool = False"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"time_embedding_type",val:": str = 'positional'"},{name:"timestep_post_act",val:": typing.Optional[str] = None"},{name:"time_cond_proj_dim",val:": typing.Optional[int] = None"},{name:"conv_in_kernel",val:": int = 3"},{name:"conv_out_kernel",val:": int = 3"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet2DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet2DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet2DConditionModel.center_input_sample",description:"<strong>center_input_sample</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether to center the input sample.",name:"center_input_sample"},{anchor:"diffusers.UNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.UNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"},{anchor:"diffusers.UNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet2DConditionModel.mid_block_type",description:`<strong>mid_block_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;UNetMidBlock2DCrossAttn&quot;</code>) &#x2014;
The mid block type. Choose from <code>UNetMidBlock2DCrossAttn</code> or <code>UNetMidBlock2DSimpleCrossAttn</code>, will skip the
mid block layer if <code>None</code>.`,name:"mid_block_type"},{anchor:"diffusers.UNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet2DConditionModel.only_cross_attention(bool",description:`<strong>only_cross_attention(<code>bool</code></strong> or <code>Tuple[bool]</code>, <em>optional</em>, default to <code>False</code>) &#x2014;
Whether to include self-attention in the basic transformer blocks, see
<code>BasicTransformerBlock</code>.`,name:"only_cross_attention(bool"},{anchor:"diffusers.UNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet2DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet2DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet2DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet2DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet2DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, it will skip the normalization and activation layers in post-processing`,name:"norm_num_groups"},{anchor:"diffusers.UNet2DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet2DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet2DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"},{anchor:"diffusers.UNet2DConditionModel.resnet_time_scale_shift",description:`<strong>resnet_time_scale_shift</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;default&quot;</code>) &#x2014; Time scale shift config
for resnet blocks, see <code>ResnetBlock2D</code>. Choose from <code>default</code> or <code>scale_shift</code>.`,name:"resnet_time_scale_shift"},{anchor:"diffusers.UNet2DConditionModel.class_embed_type",description:`<strong>class_embed_type</strong> (<code>str</code>, <em>optional</em>, defaults to None) &#x2014;
The type of class embedding to use which is ultimately summed with the time embeddings. Choose from <code>None</code>,
<code>&quot;timestep&quot;</code>, <code>&quot;identity&quot;</code>, or <code>&quot;projection&quot;</code>.`,name:"class_embed_type"},{anchor:"diffusers.UNet2DConditionModel.num_class_embeds",description:`<strong>num_class_embeds</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
Input dimension of the learnable embedding matrix to be projected to <code>time_embed_dim</code>, when performing
class conditioning with <code>class_embed_type</code> equal to <code>None</code>.`,name:"num_class_embeds"},{anchor:"diffusers.UNet2DConditionModel.time_embedding_type",description:`<strong>time_embedding_type</strong> (<code>str</code>, <em>optional</em>, default to <code>positional</code>) &#x2014;
The type of position embedding to use for timesteps. Choose from <code>positional</code> or <code>fourier</code>.`,name:"time_embedding_type"},{anchor:"diffusers.UNet2DConditionModel.timestep_post_act",description:"<strong>timestep_post_act</strong> (<code>str, *optional*, default to </code>None<code>) -- The second activation function to use in timestep embedding. Choose from </code>silu<code>, </code>mish<code>and</code>gelu`.",name:"timestep_post_act"},{anchor:"diffusers.UNet2DConditionModel.time_cond_proj_dim",description:`<strong>time_cond_proj_dim</strong> (<code>int</code>, <em>optional</em>, default to <code>None</code>) &#x2014;
The dimension of <code>cond_proj</code> layer in timestep embedding.`,name:"time_cond_proj_dim"},{anchor:"diffusers.UNet2DConditionModel.conv_in_kernel",description:"<strong>conv_in_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_in</code> layer.",name:"conv_in_kernel"},{anchor:"diffusers.UNet2DConditionModel.conv_out_kernel",description:"<strong>conv_out_kernel</strong> (<code>int</code>, <em>optional</em>, default to <code>3</code>) &#x2014; The kernel size of <code>conv_out</code> layer.",name:"conv_out_kernel"},{anchor:"diffusers.UNet2DConditionModel.projection_class_embeddings_input_dim",description:`<strong>projection_class_embeddings_input_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The dimension of the <code>class_labels</code> input when
using the &#x201C;projection&#x201D; <code>class_embed_type</code>. Required when using the &#x201C;projection&#x201D; <code>class_embed_type</code>.`,name:"projection_class_embeddings_input_dim"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition.py#L53"}}),Kt=new y({props:{name:"forward",anchor:"diffusers.UNet2DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"timestep_cond",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"down_block_additional_residuals",val:": typing.Optional[typing.Tuple[torch.Tensor]] = None"},{name:"mid_block_additional_residual",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet2DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet2DConditionModel.forward.encoder_hidden_states",description:"<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, sequence_length, feature_dim) encoder hidden states",name:"encoder_hidden_states"},{anchor:"diffusers.UNet2DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"diffusers.UNet2DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition.py#L487",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput"
>UNet2DConditionOutput</a> or <code>tuple</code></p>
`}}),St=new y({props:{name:"set_attention_slice",anchor:"diffusers.UNet2DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition.py#L418"}}),Wt=new y({props:{name:"set_attn_processor",anchor:"diffusers.UNet2DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>Attention</code> layers.`,name:"`processor"},{anchor:"diffusers.UNet2DConditionModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainable attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition.py#L388"}}),Xt=new M({}),Qt=new y({props:{name:"class diffusers.models.unet_3d_condition.UNet3DConditionOutput",anchor:"diffusers.models.unet_3d_condition.UNet3DConditionOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.unet_3d_condition.UNet3DConditionOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_frames, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_3d_condition.py#L43"}}),Rt=new M({}),Yt=new y({props:{name:"class diffusers.UNet3DConditionModel",anchor:"diffusers.UNet3DConditionModel",parameters:[{name:"sample_size",val:": typing.Optional[int] = None"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'CrossAttnDownBlock3D', 'DownBlock3D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D', 'CrossAttnUpBlock3D')"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1024"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 64"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code> or <code>Tuple[int, int]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Height and width of input/output sample.`,name:"sample_size"},{anchor:"diffusers.UNet3DConditionModel.in_channels",description:"<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the input sample.",name:"in_channels"},{anchor:"diffusers.UNet3DConditionModel.out_channels",description:"<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of channels in the output.",name:"out_channels"},{anchor:"diffusers.UNet3DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use.`,name:"down_block_types"},{anchor:"diffusers.UNet3DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use.`,name:"up_block_types"},{anchor:"diffusers.UNet3DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.UNet3DConditionModel.layers_per_block",description:"<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of layers per block.",name:"layers_per_block"},{anchor:"diffusers.UNet3DConditionModel.downsample_padding",description:"<strong>downsample_padding</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The padding to use for the downsampling convolution.",name:"downsample_padding"},{anchor:"diffusers.UNet3DConditionModel.mid_block_scale_factor",description:"<strong>mid_block_scale_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 1.0) &#x2014; The scale factor to use for the mid block.",name:"mid_block_scale_factor"},{anchor:"diffusers.UNet3DConditionModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.UNet3DConditionModel.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of groups to use for the normalization.
If <code>None</code>, it will skip the normalization and activation layers in post-processing`,name:"norm_num_groups"},{anchor:"diffusers.UNet3DConditionModel.norm_eps",description:"<strong>norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-5) &#x2014; The epsilon to use for the normalization.",name:"norm_eps"},{anchor:"diffusers.UNet3DConditionModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1280) &#x2014; The dimension of the cross attention features.",name:"cross_attention_dim"},{anchor:"diffusers.UNet3DConditionModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 8) &#x2014; The dimension of the attention heads.",name:"attention_head_dim"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_3d_condition.py#L53"}}),Jt=new y({props:{name:"forward",anchor:"diffusers.UNet3DConditionModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"encoder_hidden_states",val:": Tensor"},{name:"class_labels",val:": typing.Optional[torch.Tensor] = None"},{name:"timestep_cond",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attention_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"down_block_additional_residuals",val:": typing.Optional[typing.Tuple[torch.Tensor]] = None"},{name:"mid_block_additional_residual",val:": typing.Optional[torch.Tensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, num_frames, channel, height, width) noisy inputs tensor",name:"sample"},{anchor:"diffusers.UNet3DConditionModel.forward.timestep",description:"<strong>timestep</strong> (<code>torch.FloatTensor</code> or <code>float</code> or <code>int</code>) &#x2014; (batch) timesteps",name:"timestep"},{anchor:"diffusers.UNet3DConditionModel.forward.encoder_hidden_states",description:"<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code>) &#x2014; (batch, sequence_length, feature_dim) encoder hidden states",name:"encoder_hidden_states"},{anchor:"diffusers.UNet3DConditionModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>models.unet_2d_condition.UNet3DConditionOutput</code> instead of a plain tuple.`,name:"return_dict"},{anchor:"diffusers.UNet3DConditionModel.forward.cross_attention_kwargs",description:`<strong>cross_attention_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
A kwargs dictionary that if specified is passed along to the <code>AttentionProcessor</code> as defined under
<code>self.processor</code> in
<a href="https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py" rel="nofollow">diffusers.cross_attention</a>.`,name:"cross_attention_kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_3d_condition.py#L379",returnDescription:`
<p><code>~models.unet_2d_condition.UNet3DConditionOutput</code> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><code>~models.unet_2d_condition.UNet3DConditionOutput</code> or <code>tuple</code></p>
`}}),Zt=new y({props:{name:"set_attention_slice",anchor:"diffusers.UNet3DConditionModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_3d_condition.py#L279"}}),en=new y({props:{name:"set_attn_processor",anchor:"diffusers.UNet3DConditionModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.UNet3DConditionModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>Attention</code> layers.`,name:"`processor"},{anchor:"diffusers.UNet3DConditionModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainable attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_3d_condition.py#L345"}}),on=new M({}),tn=new y({props:{name:"class diffusers.models.vae.DecoderOutput",anchor:"diffusers.models.vae.DecoderOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vae.DecoderOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vae.py#L26"}}),nn=new M({}),sn=new y({props:{name:"class diffusers.models.vq_model.VQEncoderOutput",anchor:"diffusers.models.vq_model.VQEncoderOutput",parameters:[{name:"latents",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.vq_model.VQEncoderOutput.latents",description:`<strong>latents</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Encoded output sample of the model. Output of the last layer of the model.`,name:"latents"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vq_model.py#L27"}}),rn=new M({}),an=new y({props:{name:"class diffusers.VQModel",anchor:"diffusers.VQModel",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 3"},{name:"sample_size",val:": int = 32"},{name:"num_vq_embeddings",val:": int = 256"},{name:"norm_num_groups",val:": int = 32"},{name:"vq_embed_dim",val:": typing.Optional[int] = None"},{name:"scaling_factor",val:": float = 0.18215"},{name:"attention_block_type",val:": str = 'AttentionBlock'"}],parametersDescription:[{anchor:"diffusers.VQModel.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.VQModel.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.VQModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.VQModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.VQModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.VQModel.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.VQModel.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <code>3</code>) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.VQModel.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.VQModel.num_vq_embeddings",description:"<strong>num_vq_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to <code>256</code>) &#x2014; Number of codebook vectors in the VQ-VAE.",name:"num_vq_embeddings"},{anchor:"diffusers.VQModel.vq_embed_dim",description:"<strong>vq_embed_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; Hidden dim of codebook vectors in the VQ-VAE.",name:"vq_embed_dim"},{anchor:"diffusers.VQModel.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to <code>0.18215</code>) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vq_model.py#L39"}}),ln=new y({props:{name:"forward",anchor:"diffusers.VQModel.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.VQModel.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.VQModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vq_model.py#L145"}}),cn=new M({}),mn=new y({props:{name:"class diffusers.models.autoencoder_kl.AutoencoderKLOutput",anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",parameters:[{name:"latent_dist",val:": DiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.autoencoder_kl.AutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>DiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>DiagonalGaussianDistribution</code>.
<code>DiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L27"}}),pn=new M({}),fn=new y({props:{name:"class diffusers.AutoencoderKL",anchor:"diffusers.AutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"},{name:"attention_block_type",val:": str = 'AttentionBlock'"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.in_channels",description:"<strong>in_channels</strong> (int, <em>optional</em>, defaults to 3) &#x2014; Number of channels in the input image.",name:"in_channels"},{anchor:"diffusers.AutoencoderKL.out_channels",description:"<strong>out_channels</strong> (int,  <em>optional</em>, defaults to 3) &#x2014; Number of channels in the output.",name:"out_channels"},{anchor:"diffusers.AutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;DownEncoderBlock2D&quot;,)</code>): Tuple of downsample block types.`,name:"down_block_types"},{anchor:"diffusers.AutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(&quot;UpDecoderBlock2D&quot;,)</code>): Tuple of upsample block types.`,name:"up_block_types"},{anchor:"diffusers.AutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to  &#x2014;
obj:<code>(64,)</code>): Tuple of block output channels.`,name:"block_out_channels"},{anchor:"diffusers.AutoencoderKL.act_fn",description:"<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;silu&quot;</code>) &#x2014; The activation function to use.",name:"act_fn"},{anchor:"diffusers.AutoencoderKL.latent_channels",description:"<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; Number of channels in the latent space.",name:"latent_channels"},{anchor:"diffusers.AutoencoderKL.sample_size",description:"<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to <code>32</code>) &#x2014; TODO",name:"sample_size"},{anchor:"diffusers.AutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<code>float</code>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <code>z = z * scaling_factor</code> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: <code>z = 1 / scaling_factor * z</code>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L40"}}),hn=new y({props:{name:"disable_slicing",anchor:"diffusers.AutoencoderKL.disable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L155"}}),gn=new y({props:{name:"disable_tiling",anchor:"diffusers.AutoencoderKL.disable_tiling",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L141"}}),vn=new y({props:{name:"enable_slicing",anchor:"diffusers.AutoencoderKL.enable_slicing",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L148"}}),yn=new y({props:{name:"enable_tiling",anchor:"diffusers.AutoencoderKL.enable_tiling",parameters:[{name:"use_tiling",val:": bool = True"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L133"}}),xn=new y({props:{name:"forward",anchor:"diffusers.AutoencoderKL.forward",parameters:[{name:"sample",val:": FloatTensor"},{name:"sample_posterior",val:": bool = False"},{name:"return_dict",val:": bool = True"},{name:"generator",val:": typing.Optional[torch._C.Generator] = None"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.forward.sample",description:"<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014; Input sample.",name:"sample"},{anchor:"diffusers.AutoencoderKL.forward.sample_posterior",description:`<strong>sample_posterior</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to sample from the posterior.`,name:"sample_posterior"},{anchor:"diffusers.AutoencoderKL.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L305"}}),$n=new y({props:{name:"tiled_decode",anchor:"diffusers.AutoencoderKL.tiled_decode",parameters:[{name:"z",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_decode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute decoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_decode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled decoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_decode.different",description:"<strong>different</strong> from non-tiled decoding due to each tile using a different decoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_decode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_decode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
z (<code>torch.FloatTensor</code>): Input batch of latent vectors. return_dict (<code>bool</code>, <em>optional</em>, defaults to
<code>True</code>):
Whether or not to return a <code>DecoderOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L258"}}),wn=new y({props:{name:"tiled_encode",anchor:"diffusers.AutoencoderKL.tiled_encode",parameters:[{name:"x",val:": FloatTensor"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.AutoencoderKL.tiled_encode.When",description:"<strong>When</strong> this option is enabled, the VAE will split the input tensor into tiles to compute encoding in several &#x2014;",name:"When"},{anchor:"diffusers.AutoencoderKL.tiled_encode.steps.",description:"<strong>steps.</strong> This is useful to keep memory use constant regardless of image size. The end result of tiled encoding is &#x2014;",name:"steps."},{anchor:"diffusers.AutoencoderKL.tiled_encode.different",description:"<strong>different</strong> from non-tiled encoding due to each tile using a different encoder. To avoid tiling artifacts, the &#x2014;",name:"different"},{anchor:"diffusers.AutoencoderKL.tiled_encode.tiles",description:"<strong>tiles</strong> overlap and are blended together to form a smooth output. You may still see tile-sized changes in the &#x2014;",name:"tiles"},{anchor:"diffusers.AutoencoderKL.tiled_encode.look",description:`<strong>look</strong> of the output, but they should be much less noticeable. &#x2014;
x (<code>torch.FloatTensor</code>): Input batch of images. return_dict (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>):
Whether or not to return a <code>AutoencoderKLOutput</code> instead of a plain tuple.`,name:"look"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/autoencoder_kl.py#L211"}}),Dn=new M({}),kn=new y({props:{name:"class diffusers.Transformer2DModel",anchor:"diffusers.Transformer2DModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"num_vector_embeds",val:": typing.Optional[int] = None"},{name:"patch_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"num_embeds_ada_norm",val:": typing.Optional[int] = None"},{name:"use_linear_projection",val:": bool = False"},{name:"only_cross_attention",val:": bool = False"},{name:"upcast_attention",val:": bool = False"},{name:"norm_type",val:": str = 'layer_norm'"},{name:"norm_elementwise_affine",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.Transformer2DModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.Transformer2DModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is continuous. The number of channels in the input and output.`,name:"in_channels"},{anchor:"diffusers.Transformer2DModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.Transformer2DModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.Transformer2DModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of encoder_hidden_states dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.Transformer2DModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Pass if the input is discrete. The width of the latent images.
Note that this is fixed at training time as it is used for learning a number of position embeddings. See
<code>ImagePositionalEmbeddings</code>.`,name:"sample_size"},{anchor:"diffusers.Transformer2DModel.num_vector_embeds",description:`<strong>num_vector_embeds</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is discrete. The number of classes of the vector embeddings of the latent pixels.
Includes the class for the masked latent pixel.`,name:"num_vector_embeds"},{anchor:"diffusers.Transformer2DModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to be used in feed-forward.",name:"activation_fn"},{anchor:"diffusers.Transformer2DModel.num_embeds_ada_norm",description:`<strong>num_embeds_ada_norm</strong> ( <code>int</code>, <em>optional</em>) &#x2014; Pass if at least one of the norm_layers is <code>AdaLayerNorm</code>.
The number of diffusion steps used during training. Note that this is fixed at training time as it is used
to learn a number of embeddings that are added to the hidden states. During inference, you can denoise for
up to but not more than steps than <code>num_embeds_ada_norm</code>.`,name:"num_embeds_ada_norm"},{anchor:"diffusers.Transformer2DModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the TransformerBlocks&#x2019; attention should contain a bias parameter.`,name:"attention_bias"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_2d.py#L41"}}),Mn=new y({props:{name:"forward",anchor:"diffusers.Transformer2DModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.Transformer2DModel.forward.hidden_states",description:`<strong>hidden_states</strong> ( When discrete, <code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code>. &#x2014;
When continuous, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code>): Input
hidden_states`,name:"hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.Transformer2DModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Optional timestep to be applied as an embedding in AdaLayerNorm&#x2019;s. Used to indicate denoising step.`,name:"timestep"},{anchor:"diffusers.Transformer2DModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Optional class labels to be applied as an embedding in AdaLayerZeroNorm. Used to indicate class labels
conditioning.`,name:"class_labels"},{anchor:"diffusers.Transformer2DModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_2d.py#L214",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.transformer_2d.Transformer2DModelOutput"
>Transformer2DModelOutput</a> or <code>tuple</code></p>
`}}),Nn=new M({}),An=new y({props:{name:"class diffusers.models.transformer_2d.Transformer2DModelOutput",anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_2d.Transformer2DModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> or <code>(batch size, num_vector_embeds - 1, num_latent_pixels)</code> if <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.Transformer2DModel">Transformer2DModel</a> is discrete) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. If discrete, returns probability distributions
for the unnoised latent pixels.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_2d.py#L30"}}),Un=new M({}),Cn=new y({props:{name:"class diffusers.models.transformer_temporal.TransformerTemporalModel",anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel",parameters:[{name:"num_attention_heads",val:": int = 16"},{name:"attention_head_dim",val:": int = 88"},{name:"in_channels",val:": typing.Optional[int] = None"},{name:"out_channels",val:": typing.Optional[int] = None"},{name:"num_layers",val:": int = 1"},{name:"dropout",val:": float = 0.0"},{name:"norm_num_groups",val:": int = 32"},{name:"cross_attention_dim",val:": typing.Optional[int] = None"},{name:"attention_bias",val:": bool = False"},{name:"sample_size",val:": typing.Optional[int] = None"},{name:"activation_fn",val:": str = 'geglu'"},{name:"norm_elementwise_affine",val:": bool = True"},{name:"double_self_attention",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 16) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 88) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>) &#x2014;
Pass if the input is continuous. The number of channels in the input and output.`,name:"in_channels"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 1) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.cross_attention_dim",description:"<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>) &#x2014; The number of encoder_hidden_states dimensions to use.",name:"cross_attention_dim"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014; Pass if the input is discrete. The width of the latent images.
Note that this is fixed at training time as it is used for learning a number of position embeddings. See
<code>ImagePositionalEmbeddings</code>.`,name:"sample_size"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.activation_fn",description:"<strong>activation_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;geglu&quot;</code>) &#x2014; Activation function to be used in feed-forward.",name:"activation_fn"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.attention_bias",description:`<strong>attention_bias</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if the TransformerBlocks&#x2019; attention should contain a bias parameter.`,name:"attention_bias"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.double_self_attention",description:`<strong>double_self_attention</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Configure if each TransformerBlock should contain two self-attention layers`,name:"double_self_attention"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_temporal.py#L37"}}),Fn=new y({props:{name:"forward",anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward",parameters:[{name:"hidden_states",val:""},{name:"encoder_hidden_states",val:" = None"},{name:"timestep",val:" = None"},{name:"class_labels",val:" = None"},{name:"num_frames",val:" = 1"},{name:"cross_attention_kwargs",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward.hidden_states",description:`<strong>hidden_states</strong> ( When discrete, <code>torch.LongTensor</code> of shape <code>(batch size, num latent pixels)</code>. &#x2014;
When continous, <code>torch.FloatTensor</code> of shape <code>(batch size, channel, height, width)</code>): Input
hidden_states`,name:"hidden_states"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, encoder_hidden_states dim)</code>, <em>optional</em>) &#x2014;
Conditional embeddings for cross attention layer. If not given, cross-attention defaults to
self-attention.`,name:"encoder_hidden_states"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward.timestep",description:`<strong>timestep</strong> ( <code>torch.long</code>, <em>optional</em>) &#x2014;
Optional timestep to be applied as an embedding in AdaLayerNorm&#x2019;s. Used to indicate denoising step.`,name:"timestep"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward.class_labels",description:`<strong>class_labels</strong> ( <code>torch.LongTensor</code> of shape <code>(batch size, num classes)</code>, <em>optional</em>) &#x2014;
Optional class labels to be applied as an embedding in AdaLayerZeroNorm. Used to indicate class labels
conditioning.`,name:"class_labels"},{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.unet_2d_condition.UNet2DConditionOutput">models.unet_2d_condition.UNet2DConditionOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_temporal.py#L106",returnDescription:`
<p><code>~models.transformer_2d.TransformerTemporalModelOutput</code> if <code>return_dict</code> is True, otherwise a <code>tuple</code>.
When returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><code>~models.transformer_2d.TransformerTemporalModelOutput</code> or <code>tuple</code></p>
`}}),Pn=new M({}),qn=new y({props:{name:"class diffusers.models.transformer_temporal.TransformerTemporalModelOutput",anchor:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput",parameters:[{name:"sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size x num_frames, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/transformer_temporal.py#L27"}}),Ln=new M({}),jn=new y({props:{name:"class diffusers.PriorTransformer",anchor:"diffusers.PriorTransformer",parameters:[{name:"num_attention_heads",val:": int = 32"},{name:"attention_head_dim",val:": int = 64"},{name:"num_layers",val:": int = 20"},{name:"embedding_dim",val:": int = 768"},{name:"num_embeddings",val:" = 77"},{name:"additional_embeddings",val:" = 4"},{name:"dropout",val:": float = 0.0"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014; The number of heads to use for multi-head attention.",name:"num_attention_heads"},{anchor:"diffusers.PriorTransformer.attention_head_dim",description:"<strong>attention_head_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 64) &#x2014; The number of channels in each head.",name:"attention_head_dim"},{anchor:"diffusers.PriorTransformer.num_layers",description:"<strong>num_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 20) &#x2014; The number of layers of Transformer blocks to use.",name:"num_layers"},{anchor:"diffusers.PriorTransformer.embedding_dim",description:`<strong>embedding_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014; The dimension of the CLIP embeddings. Note that CLIP
image embeddings and text embeddings are both the same dimension.`,name:"embedding_dim"},{anchor:"diffusers.PriorTransformer.num_embeddings",description:`<strong>num_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 77) &#x2014; The max number of clip embeddings allowed. I.e. the
length of the prompt after it has been tokenized.`,name:"num_embeddings"},{anchor:"diffusers.PriorTransformer.additional_embeddings",description:`<strong>additional_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014; The number of additional tokens appended to the
projected hidden_states. The actual length of the used hidden_states is <code>num_embeddings + additional_embeddings</code>.`,name:"additional_embeddings"},{anchor:"diffusers.PriorTransformer.dropout",description:"<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014; The dropout probability to use.",name:"dropout"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/prior_transformer.py#L26"}}),Vn=new y({props:{name:"forward",anchor:"diffusers.PriorTransformer.forward",parameters:[{name:"hidden_states",val:""},{name:"timestep",val:": typing.Union[torch.Tensor, float, int]"},{name:"proj_embedding",val:": FloatTensor"},{name:"encoder_hidden_states",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.BoolTensor] = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.PriorTransformer.forward.hidden_states",description:`<strong>hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
x_t, the currently predicted image embeddings.`,name:"hidden_states"},{anchor:"diffusers.PriorTransformer.forward.timestep",description:`<strong>timestep</strong> (<code>torch.long</code>) &#x2014;
Current denoising step.`,name:"timestep"},{anchor:"diffusers.PriorTransformer.forward.proj_embedding",description:`<strong>proj_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
Projected embedding vector the denoising process is conditioned on.`,name:"proj_embedding"},{anchor:"diffusers.PriorTransformer.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_embeddings, embedding_dim)</code>) &#x2014;
Hidden states of the text embeddings the denoising process is conditioned on.`,name:"encoder_hidden_states"},{anchor:"diffusers.PriorTransformer.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.BoolTensor</code> of shape <code>(batch_size, num_embeddings)</code>) &#x2014;
Text mask for the text embeddings.`,name:"attention_mask"},{anchor:"diffusers.PriorTransformer.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput">models.prior_transformer.PriorTransformerOutput</a> instead of a plain
tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/prior_transformer.py#L107",returnDescription:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> if <code>return_dict</code> is True, otherwise a <code>tuple</code>. When
returning a tuple, the first element is the sample tensor.</p>
`,returnType:`
<p><a
  href="/docs/diffusers/pr_2697/en/api/models#diffusers.models.prior_transformer.PriorTransformerOutput"
>PriorTransformerOutput</a> or <code>tuple</code></p>
`}}),Bn=new M({}),Sn=new y({props:{name:"class diffusers.models.prior_transformer.PriorTransformerOutput",anchor:"diffusers.models.prior_transformer.PriorTransformerOutput",parameters:[{name:"predicted_image_embedding",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.models.prior_transformer.PriorTransformerOutput.predicted_image_embedding",description:`<strong>predicted_image_embedding</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, embedding_dim)</code>) &#x2014;
The predicted CLIP image embedding conditioned on the CLIP text embedding input.`,name:"predicted_image_embedding"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/prior_transformer.py#L16"}}),Wn=new M({}),Hn=new y({props:{name:"class diffusers.models.controlnet.ControlNetOutput",anchor:"diffusers.models.controlnet.ControlNetOutput",parameters:[{name:"down_block_res_samples",val:": typing.Tuple[torch.Tensor]"},{name:"mid_block_res_sample",val:": Tensor"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/controlnet.py#L39"}}),Qn=new M({}),Rn=new y({props:{name:"class diffusers.ControlNetModel",anchor:"diffusers.ControlNetModel",parameters:[{name:"in_channels",val:": int = 4"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"downsample_padding",val:": int = 1"},{name:"mid_block_scale_factor",val:": float = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"norm_num_groups",val:": typing.Optional[int] = 32"},{name:"norm_eps",val:": float = 1e-05"},{name:"cross_attention_dim",val:": int = 1280"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"use_linear_projection",val:": bool = False"},{name:"class_embed_type",val:": typing.Optional[str] = None"},{name:"num_class_embeds",val:": typing.Optional[int] = None"},{name:"upcast_attention",val:": bool = False"},{name:"resnet_time_scale_shift",val:": str = 'default'"},{name:"projection_class_embeddings_input_dim",val:": typing.Optional[int] = None"},{name:"controlnet_conditioning_channel_order",val:": str = 'rgb'"},{name:"conditioning_embedding_out_channels",val:": typing.Optional[typing.Tuple[int]] = (16, 32, 96, 256)"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/controlnet.py#L89"}}),Yn=new y({props:{name:"from_unet",anchor:"diffusers.ControlNetModel.from_unet",parameters:[{name:"unet",val:": UNet2DConditionModel"},{name:"controlnet_conditioning_channel_order",val:": str = 'rgb'"},{name:"conditioning_embedding_out_channels",val:": typing.Optional[typing.Tuple[int]] = (16, 32, 96, 256)"},{name:"load_weights_from_unet",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.ControlNetModel.from_unet.unet",description:`<strong>unet</strong> (<code>UNet2DConditionModel</code>) &#x2014;
UNet model which weights are copied to the ControlNet. Note that all configuration options are also
copied where applicable.`,name:"unet"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/controlnet.py#L261"}}),Gn=new y({props:{name:"set_attention_slice",anchor:"diffusers.ControlNetModel.set_attention_slice",parameters:[{name:"slice_size",val:""}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attention_slice.slice_size",description:`<strong>slice_size</strong> (<code>str</code> or <code>int</code> or <code>list(int)</code>, <em>optional</em>, defaults to <code>&quot;auto&quot;</code>) &#x2014;
When <code>&quot;auto&quot;</code>, halves the input to the attention heads, so attention will be computed in two steps. If
<code>&quot;max&quot;</code>, maximum amount of memory will be saved by running only one slice at a time. If a number is
provided, uses as many slices as <code>attention_head_dim // slice_size</code>. In this case, <code>attention_head_dim</code>
must be a multiple of <code>slice_size</code>.`,name:"slice_size"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/controlnet.py#L372"}}),Jn=new y({props:{name:"set_attn_processor",anchor:"diffusers.ControlNetModel.set_attn_processor",parameters:[{name:"processor",val:": typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor, typing.Dict[str, typing.Union[diffusers.models.attention_processor.AttnProcessor, diffusers.models.attention_processor.XFormersAttnProcessor, diffusers.models.attention_processor.SlicedAttnProcessor, diffusers.models.attention_processor.AttnAddedKVProcessor, diffusers.models.attention_processor.SlicedAttnAddedKVProcessor, diffusers.models.attention_processor.LoRAAttnProcessor, diffusers.models.attention_processor.LoRAXFormersAttnProcessor]]]"}],parametersDescription:[{anchor:"diffusers.ControlNetModel.set_attn_processor.`processor",description:`<strong>\`processor</strong> (<code>dict</code> of <code>AttentionProcessor</code> or <code>AttentionProcessor</code>) &#x2014;
The instantiated processor class or a dictionary of processor classes that will be set as the processor
of <strong>all</strong> <code>Attention</code> layers.`,name:"`processor"},{anchor:"diffusers.ControlNetModel.set_attn_processor.In",description:"<strong>In</strong> case <code>processor</code> is a dict, the key needs to define the path to the corresponding cross attention processor. This is strongly recommended when setting trainable attention processors. &#x2014;",name:"In"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/controlnet.py#L341"}}),Zn=new M({}),es=new y({props:{name:"class diffusers.FlaxModelMixin",anchor:"diffusers.FlaxModelMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L45"}}),os=new y({props:{name:"from_pretrained",anchor:"diffusers.FlaxModelMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, os.PathLike]"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"*model_args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids are namespaced under a user or organization name, like
<code>runwayml/stable-diffusion-v1-5</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <a href="/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin.save_pretrained">save_pretrained()</a>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs).</p>
<p>This can be used to enable mixed-precision training or half-precision inference on GPUs or TPUs. If
specified all the computation will be performed with the given <code>dtype</code>.</p>
<p><strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong></p>
<p>If you wish to change the dtype of the model parameters, see <code>~ModelMixin.to_fp16</code> and
<code>~ModelMixin.to_bf16</code>.`,name:"dtype"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.model_args",description:`<strong>model_args</strong> (sequence of positional arguments, <em>optional</em>) &#x2014;
All remaining positional arguments will be passed to the underlying model&#x2019;s <code>__init__</code> method.`,name:"model_args"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.from_pt",description:`<strong>from_pt</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Load the model weights from a PyTorch checkpoint save file.`,name:"from_pt"},{anchor:"diffusers.FlaxModelMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (remaining dictionary of keyword arguments, <em>optional</em>) &#x2014;
Can be used to update the configuration object (after it being loaded) and initiate the model (e.g.,
<code>output_attentions=True</code>). Behaves differently depending on whether a <code>config</code> is provided or
automatically loaded:</p>
<ul>
<li>If a configuration is provided with <code>config</code>, <code>**kwargs</code> will be directly passed to the
underlying model&#x2019;s <code>__init__</code> method (we assume all relevant updates to the configuration have
already been done)</li>
<li>If a configuration is not provided, <code>kwargs</code> will be first passed to the configuration class
initialization function (<a href="/docs/diffusers/pr_2697/en/api/configuration#diffusers.ConfigMixin.from_config">from_config()</a>). Each key of <code>kwargs</code> that corresponds to
a configuration attribute will be used to override said attribute with the supplied <code>kwargs</code>
value. Remaining keys that do not correspond to any configuration attribute will be passed to the
underlying model&#x2019;s <code>__init__</code> function.</li>
</ul>`,name:"kwargs"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L195"}}),So=new sd({props:{anchor:"diffusers.FlaxModelMixin.from_pretrained.example",$$slots:{default:[Rv]},$$scope:{ctx:j}}}),ss=new y({props:{name:"save_pretrained",anchor:"diffusers.FlaxModelMixin.save_pretrained",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"is_main_process",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.save_pretrained.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L487"}}),as=new y({props:{name:"to_bf16",anchor:"diffusers.FlaxModelMixin.to_bf16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_bf16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_bf16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip.`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L87"}}),Xo=new sd({props:{anchor:"diffusers.FlaxModelMixin.to_bf16.example",$$slots:{default:[Yv]},$$scope:{ctx:j}}}),is=new y({props:{name:"to_fp16",anchor:"diffusers.FlaxModelMixin.to_fp16",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp16.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp16.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L153"}}),Ho=new sd({props:{anchor:"diffusers.FlaxModelMixin.to_fp16.example",$$slots:{default:[Gv]},$$scope:{ctx:j}}}),ds=new y({props:{name:"to_fp32",anchor:"diffusers.FlaxModelMixin.to_fp32",parameters:[{name:"params",val:": typing.Union[typing.Dict, flax.core.frozen_dict.FrozenDict]"},{name:"mask",val:": typing.Any = None"}],parametersDescription:[{anchor:"diffusers.FlaxModelMixin.to_fp32.params",description:`<strong>params</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> of model parameters.`,name:"params"},{anchor:"diffusers.FlaxModelMixin.to_fp32.mask",description:`<strong>mask</strong> (<code>Union[Dict, FrozenDict]</code>) &#x2014;
A <code>PyTree</code> with same structure as the <code>params</code> tree. The leaves should be booleans, <code>True</code> for params
you want to cast, and should be <code>False</code> for those you want to skip`,name:"mask"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/modeling_flax_utils.py#L126"}}),Qo=new sd({props:{anchor:"diffusers.FlaxModelMixin.to_fp32.example",$$slots:{default:[Jv]},$$scope:{ctx:j}}}),ls=new M({}),cs=new y({props:{name:"class diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.sample",description:`<strong>sample</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Hidden states conditioned on <code>encoder_hidden_states</code> input. Output of last layer of model.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition_flax.py#L36"}}),ms=new y({props:{name:"replace",anchor:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/flax/struct.py#L108"}}),ps=new M({}),fs=new y({props:{name:"class diffusers.FlaxUNet2DConditionModel",anchor:"diffusers.FlaxUNet2DConditionModel",parameters:[{name:"sample_size",val:": int = 32"},{name:"in_channels",val:": int = 4"},{name:"out_channels",val:": int = 4"},{name:"down_block_types",val:": typing.Tuple[str] = ('CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'CrossAttnDownBlock2D', 'DownBlock2D')"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D', 'CrossAttnUpBlock2D')"},{name:"only_cross_attention",val:": typing.Union[bool, typing.Tuple[bool]] = False"},{name:"block_out_channels",val:": typing.Tuple[int] = (320, 640, 1280, 1280)"},{name:"layers_per_block",val:": int = 2"},{name:"attention_head_dim",val:": typing.Union[int, typing.Tuple[int]] = 8"},{name:"cross_attention_dim",val:": int = 1280"},{name:"dropout",val:": float = 0.0"},{name:"use_linear_projection",val:": bool = False"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"flip_sin_to_cos",val:": bool = True"},{name:"freq_shift",val:": int = 0"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f15059dd130>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxUNet2DConditionModel.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The size of the input sample.`,name:"sample_size"},{anchor:"diffusers.FlaxUNet2DConditionModel.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the input sample.`,name:"in_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
The number of channels in the output.`,name:"out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;CrossAttnDownBlock2D&quot;, &quot;DownBlock2D&quot;)</code>) &#x2014;
The tuple of downsample blocks to use. The corresponding class names will be: &#x201C;FlaxCrossAttnDownBlock2D&#x201D;,
&#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxCrossAttnDownBlock2D&#x201D;, &#x201C;FlaxDownBlock2D&#x201D;`,name:"down_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <code>(&quot;UpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;, &quot;CrossAttnUpBlock2D&quot;,)</code>) &#x2014;
The tuple of upsample blocks to use. The corresponding class names will be: &#x201C;FlaxUpBlock2D&#x201D;,
&#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;, &#x201C;FlaxCrossAttnUpBlock2D&#x201D;`,name:"up_block_types"},{anchor:"diffusers.FlaxUNet2DConditionModel.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[int]</code>, <em>optional</em>, defaults to <code>(320, 640, 1280, 1280)</code>) &#x2014;
The tuple of output channels for each block.`,name:"block_out_channels"},{anchor:"diffusers.FlaxUNet2DConditionModel.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The number of layers per block.`,name:"layers_per_block"},{anchor:"diffusers.FlaxUNet2DConditionModel.attention_head_dim",description:`<strong>attention_head_dim</strong> (<code>int</code> or <code>Tuple[int]</code>, <em>optional</em>, defaults to 8) &#x2014;
The dimension of the attention heads.`,name:"attention_head_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.cross_attention_dim",description:`<strong>cross_attention_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
The dimension of the cross attention features.`,name:"cross_attention_dim"},{anchor:"diffusers.FlaxUNet2DConditionModel.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0) &#x2014;
Dropout probability for down, up and bottleneck blocks.`,name:"dropout"},{anchor:"diffusers.FlaxUNet2DConditionModel.flip_sin_to_cos",description:`<strong>flip_sin_to_cos</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to flip the sin to cos in the time embedding.`,name:"flip_sin_to_cos"},{anchor:"diffusers.FlaxUNet2DConditionModel.freq_shift",description:"<strong>freq_shift</strong> (<code>int</code>, <em>optional</em>, defaults to 0) &#x2014; The frequency shift to apply to the time embedding.",name:"freq_shift"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/unet_2d_condition_flax.py#L47"}}),xs=new M({}),$s=new y({props:{name:"class diffusers.models.vae_flax.FlaxDecoderOutput",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput",parameters:[{name:"sample",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.sample",description:`<strong>sample</strong> (<em>jnp.ndarray</em> of shape <em>(batch_size, num_channels, height, width)</em>) &#x2014;
Decoded output sample of the model. Output of the last layer of the model.`,name:"sample"},{anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
Parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vae_flax.py#L33"}}),ws=new y({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxDecoderOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/flax/struct.py#L108"}}),Ds=new M({}),ks=new y({props:{name:"class diffusers.models.vae_flax.FlaxAutoencoderKLOutput",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",parameters:[{name:"latent_dist",val:": FlaxDiagonalGaussianDistribution"}],parametersDescription:[{anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.latent_dist",description:`<strong>latent_dist</strong> (<code>FlaxDiagonalGaussianDistribution</code>) &#x2014;
Encoded outputs of <code>Encoder</code> represented as the mean and logvar of <code>FlaxDiagonalGaussianDistribution</code>.
<code>FlaxDiagonalGaussianDistribution</code> allows for sampling latents from the distribution.`,name:"latent_dist"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vae_flax.py#L48"}}),Ts=new y({props:{name:"replace",anchor:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/flax/struct.py#L108"}}),Ms=new M({}),Ns=new y({props:{name:"class diffusers.FlaxAutoencoderKL",anchor:"diffusers.FlaxAutoencoderKL",parameters:[{name:"in_channels",val:": int = 3"},{name:"out_channels",val:": int = 3"},{name:"down_block_types",val:": typing.Tuple[str] = ('DownEncoderBlock2D',)"},{name:"up_block_types",val:": typing.Tuple[str] = ('UpDecoderBlock2D',)"},{name:"block_out_channels",val:": typing.Tuple[int] = (64,)"},{name:"layers_per_block",val:": int = 1"},{name:"act_fn",val:": str = 'silu'"},{name:"latent_channels",val:": int = 4"},{name:"norm_num_groups",val:": int = 32"},{name:"sample_size",val:": int = 32"},{name:"scaling_factor",val:": float = 0.18215"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"parent",val:": typing.Union[typing.Type[flax.linen.module.Module], typing.Type[flax.core.scope.Scope], typing.Type[flax.linen.module._Sentinel], NoneType] = <flax.linen.module._Sentinel object at 0x7f15059dd130>"},{name:"name",val:": str = None"}],parametersDescription:[{anchor:"diffusers.FlaxAutoencoderKL.in_channels",description:`<strong>in_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Input channels`,name:"in_channels"},{anchor:"diffusers.FlaxAutoencoderKL.out_channels",description:`<strong>out_channels</strong> (<code>int</code>, <em>optional</em>, defaults to 3) &#x2014;
Output channels`,name:"out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.down_block_types",description:`<strong>down_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(DownEncoderBlock2D)</em>) &#x2014;
DownEncoder block type`,name:"down_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.up_block_types",description:`<strong>up_block_types</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(UpDecoderBlock2D)</em>) &#x2014;
UpDecoder block type`,name:"up_block_types"},{anchor:"diffusers.FlaxAutoencoderKL.block_out_channels",description:`<strong>block_out_channels</strong> (<code>Tuple[str]</code>, <em>optional</em>, defaults to <em>(64,)</em>) &#x2014;
Tuple containing the number of output channels for each block`,name:"block_out_channels"},{anchor:"diffusers.FlaxAutoencoderKL.layers_per_block",description:`<strong>layers_per_block</strong> (<code>int</code>, <em>optional</em>, defaults to <em>2</em>) &#x2014;
Number of Resnet layer for each block`,name:"layers_per_block"},{anchor:"diffusers.FlaxAutoencoderKL.act_fn",description:`<strong>act_fn</strong> (<code>str</code>, <em>optional</em>, defaults to <em>silu</em>) &#x2014;
Activation function`,name:"act_fn"},{anchor:"diffusers.FlaxAutoencoderKL.latent_channels",description:`<strong>latent_channels</strong> (<code>int</code>, <em>optional</em>, defaults to <em>4</em>) &#x2014;
Latent space channels`,name:"latent_channels"},{anchor:"diffusers.FlaxAutoencoderKL.norm_num_groups",description:`<strong>norm_num_groups</strong> (<code>int</code>, <em>optional</em>, defaults to <em>32</em>) &#x2014;
Norm num group`,name:"norm_num_groups"},{anchor:"diffusers.FlaxAutoencoderKL.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to 32) &#x2014;
Sample input size`,name:"sample_size"},{anchor:"diffusers.FlaxAutoencoderKL.scaling_factor",description:`<strong>scaling_factor</strong> (<em>float</em>, <em>optional</em>, defaults to 0.18215) &#x2014;
The component-wise standard deviation of the trained latent space computed using the first batch of the
training set. This is used to scale the latent space to have unit variance when training the diffusion
model. The latents are scaled with the formula <em>z = z </em> scaling_factor<em> before being passed to the
diffusion model. When decoding, the latents are scaled back to the original scale with the formula: </em>z = 1
/ scaling_factor <em> z</em>. For more details, refer to sections 4.3.2 and D.1 of the <a href="https://arxiv.org/abs/2112.10752" rel="nofollow">High-Resolution Image
Synthesis with Latent Diffusion Models</a> paper.`,name:"scaling_factor"},{anchor:"diffusers.FlaxAutoencoderKL.dtype",description:`<strong>dtype</strong> (<code>jnp.dtype</code>, <em>optional</em>, defaults to jnp.float32) &#x2014;
parameters <em>dtype</em>`,name:"dtype"}],source:"https://github.com/huggingface/diffusers/blob/vr_2697/src/diffusers/models/vae_flax.py#L721"}}),{c(){x=n("meta"),T=i(),D=n("h1"),$=n("a"),k=n("span"),f(v.$$.fragment),w=i(),ee=n("span"),Te=l("Models"),W=i(),X=n("p"),Ls=l(`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),yr=n("em"),xc=l("\\theta(\\mathbf{x}"),$c=l(`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),xr=n("code"),wc=l("torch.nn.module"),Dc=l(" with basic functionality for saving and loading models both locally and from the HuggingFace hub."),id=i(),Me=n("h2"),io=n("a"),$r=n("span"),f(mt.$$.fragment),kc=i(),wr=n("span"),Tc=l("ModelMixin"),dd=i(),N=n("div"),f(pt.$$.fragment),Mc=i(),Dr=n("p"),Nc=l("Base class for all models."),Ec=i(),js=n("p"),Is=n("a"),Ac=l("ModelMixin"),Uc=l(` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),Cc=i(),kr=n("ul"),pe=n("li"),Tr=n("strong"),Fc=l("config_name"),Pc=l(" ("),Mr=n("code"),Oc=l("str"),qc=l(`) \u2014 A filename under which the model should be stored when calling
`),zs=n("a"),Lc=l("save_pretrained()"),jc=l("."),Ic=i(),fe=n("div"),f(ft.$$.fragment),zc=i(),Nr=n("p"),Vc=l("Deactivates gradient checkpointing for the current model."),Bc=i(),Er=n("p"),Kc=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Sc=i(),lo=n("div"),f(ut.$$.fragment),Wc=i(),Ar=n("p"),Xc=l("Disable memory efficient attention as implemented in xformers."),Hc=i(),ue=n("div"),f(ht.$$.fragment),Qc=i(),Ur=n("p"),Rc=l("Activates gradient checkpointing for the current model."),Yc=i(),Cr=n("p"),Gc=l(`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),Jc=i(),B=n("div"),f(_t.$$.fragment),Zc=i(),Fr=n("p"),em=l("Enable memory efficient attention as implemented in xformers."),om=i(),Pr=n("p"),tm=l(`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),nm=i(),Or=n("p"),sm=l(`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),rm=i(),f(co.$$.fragment),am=i(),F=n("div"),f(gt.$$.fragment),im=i(),qr=n("p"),dm=l("Instantiate a pretrained pytorch model from a pre-trained model configuration."),lm=i(),Ne=n("p"),cm=l("The model is set in evaluation mode by default using "),Lr=n("code"),mm=l("model.eval()"),pm=l(` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),jr=n("code"),fm=l("model.train()"),um=l("."),hm=i(),bt=n("p"),_m=l("The warning "),Ir=n("em"),gm=l("Weights from XXX not initialized from pretrained model"),bm=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),vm=i(),vt=n("p"),ym=l("The warning "),zr=n("em"),xm=l("Weights from XXX not used in YYY"),$m=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),wm=i(),f(mo.$$.fragment),Dm=i(),f(po.$$.fragment),km=i(),fo=n("div"),f(yt.$$.fragment),Tm=i(),Vr=n("p"),Mm=l("Get number of (optionally, trainable or non-embeddings) parameters in the module."),Nm=i(),uo=n("div"),f(xt.$$.fragment),Em=i(),$t=n("p"),Am=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),Br=n("code"),Um=l("[from_pretrained()](/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin.from_pretrained)"),Cm=l(" class method."),ld=i(),Ee=n("h2"),ho=n("a"),Kr=n("span"),f(wt.$$.fragment),Fm=i(),Sr=n("span"),Pm=l("UNet2DOutput"),cd=i(),Dt=n("div"),f(kt.$$.fragment),md=i(),Ae=n("h2"),_o=n("a"),Wr=n("span"),f(Tt.$$.fragment),Om=i(),Xr=n("span"),qm=l("UNet2DModel"),pd=i(),H=n("div"),f(Mt.$$.fragment),Lm=i(),Hr=n("p"),jm=l("UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Im=i(),Nt=n("p"),zm=l("This model inherits from "),Vs=n("a"),Vm=l("ModelMixin"),Bm=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Km=i(),Bs=n("div"),f(Et.$$.fragment),fd=i(),Ue=n("h2"),go=n("a"),Qr=n("span"),f(At.$$.fragment),Sm=i(),Rr=n("span"),Wm=l("UNet1DOutput"),ud=i(),Ut=n("div"),f(Ct.$$.fragment),hd=i(),Ce=n("h2"),bo=n("a"),Yr=n("span"),f(Ft.$$.fragment),Xm=i(),Gr=n("span"),Hm=l("UNet1DModel"),_d=i(),Q=n("div"),f(Pt.$$.fragment),Qm=i(),Jr=n("p"),Rm=l("UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Ym=i(),Ot=n("p"),Gm=l("This model inherits from "),Ks=n("a"),Jm=l("ModelMixin"),Zm=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),ep=i(),Ss=n("div"),f(qt.$$.fragment),gd=i(),Fe=n("h2"),vo=n("a"),Zr=n("span"),f(Lt.$$.fragment),op=i(),ea=n("span"),tp=l("UNet2DConditionOutput"),bd=i(),jt=n("div"),f(It.$$.fragment),vd=i(),Pe=n("h2"),yo=n("a"),oa=n("span"),f(zt.$$.fragment),np=i(),ta=n("span"),sp=l("UNet2DConditionModel"),yd=i(),P=n("div"),f(Vt.$$.fragment),rp=i(),na=n("p"),ap=l(`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),ip=i(),Bt=n("p"),dp=l("This model inherits from "),Ws=n("a"),lp=l("ModelMixin"),cp=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),mp=i(),Xs=n("div"),f(Kt.$$.fragment),pp=i(),he=n("div"),f(St.$$.fragment),fp=i(),sa=n("p"),up=l("Enable sliced attention computation."),hp=i(),ra=n("p"),_p=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),gp=i(),Hs=n("div"),f(Wt.$$.fragment),xd=i(),Oe=n("h2"),xo=n("a"),aa=n("span"),f(Xt.$$.fragment),bp=i(),ia=n("span"),vp=l("UNet3DConditionOutput"),$d=i(),Ht=n("div"),f(Qt.$$.fragment),wd=i(),qe=n("h2"),$o=n("a"),da=n("span"),f(Rt.$$.fragment),yp=i(),la=n("span"),xp=l("UNet3DConditionModel"),Dd=i(),O=n("div"),f(Yt.$$.fragment),$p=i(),ca=n("p"),wp=l(`UNet3DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),Dp=i(),Gt=n("p"),kp=l("This model inherits from "),Qs=n("a"),Tp=l("ModelMixin"),Mp=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Np=i(),Rs=n("div"),f(Jt.$$.fragment),Ep=i(),_e=n("div"),f(Zt.$$.fragment),Ap=i(),ma=n("p"),Up=l("Enable sliced attention computation."),Cp=i(),pa=n("p"),Fp=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Pp=i(),Ys=n("div"),f(en.$$.fragment),kd=i(),Le=n("h2"),wo=n("a"),fa=n("span"),f(on.$$.fragment),Op=i(),ua=n("span"),qp=l("DecoderOutput"),Td=i(),je=n("div"),f(tn.$$.fragment),Lp=i(),ha=n("p"),jp=l("Output of decoding method."),Md=i(),Ie=n("h2"),Do=n("a"),_a=n("span"),f(nn.$$.fragment),Ip=i(),ga=n("span"),zp=l("VQEncoderOutput"),Nd=i(),ze=n("div"),f(sn.$$.fragment),Vp=i(),ba=n("p"),Bp=l("Output of VQModel encoding method."),Ed=i(),Ve=n("h2"),ko=n("a"),va=n("span"),f(rn.$$.fragment),Kp=i(),ya=n("span"),Sp=l("VQModel"),Ad=i(),R=n("div"),f(an.$$.fragment),Wp=i(),xa=n("p"),Xp=l(`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),Hp=i(),dn=n("p"),Qp=l("This model inherits from "),Gs=n("a"),Rp=l("ModelMixin"),Yp=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Gp=i(),Js=n("div"),f(ln.$$.fragment),Ud=i(),Be=n("h2"),To=n("a"),$a=n("span"),f(cn.$$.fragment),Jp=i(),wa=n("span"),Zp=l("AutoencoderKLOutput"),Cd=i(),Ke=n("div"),f(mn.$$.fragment),ef=i(),Da=n("p"),of=l("Output of AutoencoderKL encoding method."),Fd=i(),Se=n("h2"),Mo=n("a"),ka=n("span"),f(pn.$$.fragment),tf=i(),Ta=n("span"),nf=l("AutoencoderKL"),Pd=i(),E=n("div"),f(fn.$$.fragment),sf=i(),Ma=n("p"),rf=l(`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),af=i(),un=n("p"),df=l("This model inherits from "),Zs=n("a"),lf=l("ModelMixin"),cf=l(`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),mf=i(),No=n("div"),f(hn.$$.fragment),pf=i(),_n=n("p"),ff=l("Disable sliced VAE decoding. If "),Na=n("code"),uf=l("enable_slicing"),hf=l(` was previously invoked, this method will go back to computing
decoding in one step.`),_f=i(),Eo=n("div"),f(gn.$$.fragment),gf=i(),bn=n("p"),bf=l("Disable tiled VAE decoding. If "),Ea=n("code"),vf=l("enable_vae_tiling"),yf=l(` was previously invoked, this method will go back to
computing decoding in one step.`),xf=i(),Ao=n("div"),f(vn.$$.fragment),$f=i(),Aa=n("p"),wf=l(`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),Df=i(),Uo=n("div"),f(yn.$$.fragment),kf=i(),Ua=n("p"),Tf=l(`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),Mf=i(),er=n("div"),f(xn.$$.fragment),Nf=i(),Co=n("div"),f($n.$$.fragment),Ef=i(),Ca=n("p"),Af=l("Decode a batch of images using a tiled decoder."),Uf=i(),Fo=n("div"),f(wn.$$.fragment),Cf=i(),Fa=n("p"),Ff=l("Encode a batch of images using a tiled encoder."),Od=i(),We=n("h2"),Po=n("a"),Pa=n("span"),f(Dn.$$.fragment),Pf=i(),Oa=n("span"),Of=l("Transformer2DModel"),qd=i(),q=n("div"),f(kn.$$.fragment),qf=i(),qa=n("p"),Lf=l(`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),jf=i(),La=n("p"),If=l(`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),zf=i(),Tn=n("p"),Vf=l(`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),ja=n("code"),Bf=l("ImagePositionalEmbeddings"),Kf=l(`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),Sf=i(),Ia=n("p"),Wf=l(`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),Xf=i(),or=n("div"),f(Mn.$$.fragment),Ld=i(),Xe=n("h2"),Oo=n("a"),za=n("span"),f(Nn.$$.fragment),Hf=i(),Va=n("span"),Qf=l("Transformer2DModelOutput"),jd=i(),En=n("div"),f(An.$$.fragment),Id=i(),He=n("h2"),qo=n("a"),Ba=n("span"),f(Un.$$.fragment),Rf=i(),Ka=n("span"),Yf=l("TransformerTemporalModel"),zd=i(),ie=n("div"),f(Cn.$$.fragment),Gf=i(),Sa=n("p"),Jf=l("Transformer model for video-like data."),Zf=i(),tr=n("div"),f(Fn.$$.fragment),Vd=i(),Qe=n("h2"),Lo=n("a"),Wa=n("span"),f(Pn.$$.fragment),eu=i(),Xa=n("span"),ou=l("Transformer2DModelOutput"),Bd=i(),On=n("div"),f(qn.$$.fragment),Kd=i(),Re=n("h2"),jo=n("a"),Ha=n("span"),f(Ln.$$.fragment),tu=i(),Qa=n("span"),nu=l("PriorTransformer"),Sd=i(),z=n("div"),f(jn.$$.fragment),su=i(),Ra=n("p"),ru=l(`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),au=i(),In=n("p"),iu=l("This model inherits from "),nr=n("a"),du=l("ModelMixin"),lu=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),cu=i(),sr=n("p"),mu=l("For more details, see the original paper: "),zn=n("a"),pu=l("https://arxiv.org/abs/2204.06125"),fu=i(),rr=n("div"),f(Vn.$$.fragment),Wd=i(),Ye=n("h2"),Io=n("a"),Ya=n("span"),f(Bn.$$.fragment),uu=i(),Ga=n("span"),hu=l("PriorTransformerOutput"),Xd=i(),Kn=n("div"),f(Sn.$$.fragment),Hd=i(),Ge=n("h2"),zo=n("a"),Ja=n("span"),f(Wn.$$.fragment),_u=i(),Za=n("span"),gu=l("ControlNetOutput"),Qd=i(),Xn=n("div"),f(Hn.$$.fragment),Rd=i(),Je=n("h2"),Vo=n("a"),ei=n("span"),f(Qn.$$.fragment),bu=i(),oi=n("span"),vu=l("ControlNetModel"),Yd=i(),Y=n("div"),f(Rn.$$.fragment),yu=i(),Bo=n("div"),f(Yn.$$.fragment),xu=i(),ti=n("p"),$u=l("Instantiate Controlnet class from UNet2DConditionModel."),wu=i(),ge=n("div"),f(Gn.$$.fragment),Du=i(),ni=n("p"),ku=l("Enable sliced attention computation."),Tu=i(),si=n("p"),Mu=l(`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Nu=i(),ar=n("div"),f(Jn.$$.fragment),Gd=i(),Ze=n("h2"),Ko=n("a"),ri=n("span"),f(Zn.$$.fragment),Eu=i(),ai=n("span"),Au=l("FlaxModelMixin"),Jd=i(),U=n("div"),f(es.$$.fragment),Uu=i(),ii=n("p"),Cu=l("Base class for all flax models."),Fu=i(),ir=n("p"),dr=n("a"),Pu=l("FlaxModelMixin"),Ou=l(` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),qu=i(),K=n("div"),f(os.$$.fragment),Lu=i(),di=n("p"),ju=l("Instantiate a pretrained flax model from a pre-trained model configuration."),Iu=i(),ts=n("p"),zu=l("The warning "),li=n("em"),Vu=l("Weights from XXX not initialized from pretrained model"),Bu=l(` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),Ku=i(),ns=n("p"),Su=l("The warning "),ci=n("em"),Wu=l("Weights from XXX not used in YYY"),Xu=l(` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),Hu=i(),f(So.$$.fragment),Qu=i(),Wo=n("div"),f(ss.$$.fragment),Ru=i(),rs=n("p"),Yu=l(`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),mi=n("code"),Gu=l("[from_pretrained()](/docs/diffusers/pr_2697/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),Ju=l(" class method"),Zu=i(),oe=n("div"),f(as.$$.fragment),eh=i(),G=n("p"),oh=l("Cast the floating-point "),pi=n("code"),th=l("params"),nh=l(" to "),fi=n("code"),sh=l("jax.numpy.bfloat16"),rh=l(". This returns a new "),ui=n("code"),ah=l("params"),ih=l(` tree and does not cast
the `),hi=n("code"),dh=l("params"),lh=l(" in place."),ch=i(),_i=n("p"),mh=l(`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),ph=i(),f(Xo.$$.fragment),fh=i(),te=n("div"),f(is.$$.fragment),uh=i(),J=n("p"),hh=l("Cast the floating-point "),gi=n("code"),_h=l("params"),gh=l(" to "),bi=n("code"),bh=l("jax.numpy.float16"),vh=l(". This returns a new "),vi=n("code"),yh=l("params"),xh=l(` tree and does not cast the
`),yi=n("code"),$h=l("params"),wh=l(" in place."),Dh=i(),xi=n("p"),kh=l(`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Th=i(),f(Ho.$$.fragment),Mh=i(),be=n("div"),f(ds.$$.fragment),Nh=i(),Z=n("p"),Eh=l("Cast the floating-point "),$i=n("code"),Ah=l("params"),Uh=l(" to "),wi=n("code"),Ch=l("jax.numpy.float32"),Fh=l(`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Di=n("code"),Ph=l("params"),Oh=l(" tree and does not cast the "),ki=n("code"),qh=l("params"),Lh=l(" in place."),jh=i(),f(Qo.$$.fragment),Zd=i(),eo=n("h2"),Ro=n("a"),Ti=n("span"),f(ls.$$.fragment),Ih=i(),Mi=n("span"),zh=l("FlaxUNet2DConditionOutput"),el=i(),oo=n("div"),f(cs.$$.fragment),Vh=i(),Yo=n("div"),f(ms.$$.fragment),Bh=i(),Ni=n("p"),Kh=l("\u201CReturns a new object replacing the specified fields with new values."),ol=i(),to=n("h2"),Go=n("a"),Ei=n("span"),f(ps.$$.fragment),Sh=i(),Ai=n("span"),Wh=l("FlaxUNet2DConditionModel"),tl=i(),L=n("div"),f(fs.$$.fragment),Xh=i(),Ui=n("p"),Hh=l(`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),Qh=i(),us=n("p"),Rh=l("This model inherits from "),lr=n("a"),Yh=l("FlaxModelMixin"),Gh=l(`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Jh=i(),hs=n("p"),Zh=l("Also, this model is a Flax Linen "),_s=n("a"),e_=l("flax.linen.Module"),o_=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),t_=i(),Ci=n("p"),n_=l("Finally, this model supports inherent JAX features such as:"),s_=i(),de=n("ul"),Fi=n("li"),gs=n("a"),r_=l("Just-In-Time (JIT) compilation"),a_=i(),Pi=n("li"),bs=n("a"),i_=l("Automatic Differentiation"),d_=i(),Oi=n("li"),vs=n("a"),l_=l("Vectorization"),c_=i(),qi=n("li"),ys=n("a"),m_=l("Parallelization"),nl=i(),no=n("h2"),Jo=n("a"),Li=n("span"),f(xs.$$.fragment),p_=i(),ji=n("span"),f_=l("FlaxDecoderOutput"),sl=i(),le=n("div"),f($s.$$.fragment),u_=i(),Ii=n("p"),h_=l("Output of decoding method."),__=i(),Zo=n("div"),f(ws.$$.fragment),g_=i(),zi=n("p"),b_=l("\u201CReturns a new object replacing the specified fields with new values."),rl=i(),so=n("h2"),et=n("a"),Vi=n("span"),f(Ds.$$.fragment),v_=i(),Bi=n("span"),y_=l("FlaxAutoencoderKLOutput"),al=i(),ce=n("div"),f(ks.$$.fragment),x_=i(),Ki=n("p"),$_=l("Output of AutoencoderKL encoding method."),w_=i(),ot=n("div"),f(Ts.$$.fragment),D_=i(),Si=n("p"),k_=l("\u201CReturns a new object replacing the specified fields with new values."),il=i(),ro=n("h2"),tt=n("a"),Wi=n("span"),f(Ms.$$.fragment),T_=i(),Xi=n("span"),M_=l("FlaxAutoencoderKL"),dl=i(),V=n("div"),f(Ns.$$.fragment),N_=i(),Hi=n("p"),E_=l(`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),A_=i(),Es=n("p"),U_=l("This model is a Flax Linen "),As=n("a"),C_=l("flax.linen.Module"),F_=l(`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),P_=i(),Qi=n("p"),O_=l("Finally, this model supports inherent JAX features such as:"),q_=i(),me=n("ul"),Ri=n("li"),Us=n("a"),L_=l("Just-In-Time (JIT) compilation"),j_=i(),Yi=n("li"),Cs=n("a"),I_=l("Automatic Differentiation"),z_=i(),Gi=n("li"),Fs=n("a"),V_=l("Vectorization"),B_=i(),Ji=n("li"),Ps=n("a"),K_=l("Parallelization"),this.h()},l(o){const m=Sv('[data-svelte="svelte-1phssyn"]',document.head);x=s(m,"META",{name:!0,content:!0}),m.forEach(t),T=d(o),D=s(o,"H1",{class:!0});var Os=r(D);$=s(Os,"A",{id:!0,class:!0,href:!0});var Zi=r($);k=s(Zi,"SPAN",{});var ed=r(k);u(v.$$.fragment,ed),ed.forEach(t),Zi.forEach(t),w=d(Os),ee=s(Os,"SPAN",{});var od=r(ee);Te=c(od,"Models"),od.forEach(t),Os.forEach(t),W=d(o),X=s(o,"P",{});var ao=r(X);Ls=c(ao,`Diffusers contains pretrained models for popular algorithms and modules for creating the next set of diffusion models.
The primary function of these models is to denoise an input sample, by modeling the distribution $p`),yr=s(ao,"EM",{});var td=r(yr);xc=c(td,"\\theta(\\mathbf{x}"),td.forEach(t),$c=c(ao,`{t-1}|\\mathbf{x}_t)$.
The models are built on the base class [\u2018ModelMixin\u2019] that is a `),xr=s(ao,"CODE",{});var nd=r(xr);wc=c(nd,"torch.nn.module"),nd.forEach(t),Dc=c(ao," with basic functionality for saving and loading models both locally and from the HuggingFace hub."),ao.forEach(t),id=d(o),Me=s(o,"H2",{class:!0});var cl=r(Me);io=s(cl,"A",{id:!0,class:!0,href:!0});var H_=r(io);$r=s(H_,"SPAN",{});var Q_=r($r);u(mt.$$.fragment,Q_),Q_.forEach(t),H_.forEach(t),kc=d(cl),wr=s(cl,"SPAN",{});var R_=r(wr);Tc=c(R_,"ModelMixin"),R_.forEach(t),cl.forEach(t),dd=d(o),N=s(o,"DIV",{class:!0});var A=r(N);u(pt.$$.fragment,A),Mc=d(A),Dr=s(A,"P",{});var Y_=r(Dr);Nc=c(Y_,"Base class for all models."),Y_.forEach(t),Ec=d(A),js=s(A,"P",{});var S_=r(js);Is=s(S_,"A",{href:!0});var G_=r(Is);Ac=c(G_,"ModelMixin"),G_.forEach(t),Uc=c(S_,` takes care of storing the configuration of the models and handles methods for loading, downloading
and saving models.`),S_.forEach(t),Cc=d(A),kr=s(A,"UL",{});var J_=r(kr);pe=s(J_,"LI",{});var qs=r(pe);Tr=s(qs,"STRONG",{});var Z_=r(Tr);Fc=c(Z_,"config_name"),Z_.forEach(t),Pc=c(qs," ("),Mr=s(qs,"CODE",{});var eg=r(Mr);Oc=c(eg,"str"),eg.forEach(t),qc=c(qs,`) \u2014 A filename under which the model should be stored when calling
`),zs=s(qs,"A",{href:!0});var og=r(zs);Lc=c(og,"save_pretrained()"),og.forEach(t),jc=c(qs,"."),qs.forEach(t),J_.forEach(t),Ic=d(A),fe=s(A,"DIV",{class:!0});var cr=r(fe);u(ft.$$.fragment,cr),zc=d(cr),Nr=s(cr,"P",{});var tg=r(Nr);Vc=c(tg,"Deactivates gradient checkpointing for the current model."),tg.forEach(t),Bc=d(cr),Er=s(cr,"P",{});var ng=r(Er);Kc=c(ng,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),ng.forEach(t),cr.forEach(t),Sc=d(A),lo=s(A,"DIV",{class:!0});var ml=r(lo);u(ut.$$.fragment,ml),Wc=d(ml),Ar=s(ml,"P",{});var sg=r(Ar);Xc=c(sg,"Disable memory efficient attention as implemented in xformers."),sg.forEach(t),ml.forEach(t),Hc=d(A),ue=s(A,"DIV",{class:!0});var mr=r(ue);u(ht.$$.fragment,mr),Qc=d(mr),Ur=s(mr,"P",{});var rg=r(Ur);Rc=c(rg,"Activates gradient checkpointing for the current model."),rg.forEach(t),Yc=d(mr),Cr=s(mr,"P",{});var ag=r(Cr);Gc=c(ag,`Note that in other frameworks this feature can be referred to as \u201Cactivation checkpointing\u201D or \u201Ccheckpoint
activations\u201D.`),ag.forEach(t),mr.forEach(t),Jc=d(A),B=s(A,"DIV",{class:!0});var ve=r(B);u(_t.$$.fragment,ve),Zc=d(ve),Fr=s(ve,"P",{});var ig=r(Fr);em=c(ig,"Enable memory efficient attention as implemented in xformers."),ig.forEach(t),om=d(ve),Pr=s(ve,"P",{});var dg=r(Pr);tm=c(dg,`When this option is enabled, you should observe lower GPU memory usage and a potential speed up at inference
time. Speed up at training time is not guaranteed.`),dg.forEach(t),nm=d(ve),Or=s(ve,"P",{});var lg=r(Or);sm=c(lg,`Warning: When Memory Efficient Attention and Sliced attention are both enabled, the Memory Efficient Attention
is used.`),lg.forEach(t),rm=d(ve),u(co.$$.fragment,ve),ve.forEach(t),am=d(A),F=s(A,"DIV",{class:!0});var S=r(F);u(gt.$$.fragment,S),im=d(S),qr=s(S,"P",{});var cg=r(qr);dm=c(cg,"Instantiate a pretrained pytorch model from a pre-trained model configuration."),cg.forEach(t),lm=d(S),Ne=s(S,"P",{});var pr=r(Ne);cm=c(pr,"The model is set in evaluation mode by default using "),Lr=s(pr,"CODE",{});var mg=r(Lr);mm=c(mg,"model.eval()"),mg.forEach(t),pm=c(pr,` (Dropout modules are deactivated). To train
the model, you should first set it back in training mode with `),jr=s(pr,"CODE",{});var pg=r(jr);fm=c(pg,"model.train()"),pg.forEach(t),um=c(pr,"."),pr.forEach(t),hm=d(S),bt=s(S,"P",{});var pl=r(bt);_m=c(pl,"The warning "),Ir=s(pl,"EM",{});var fg=r(Ir);gm=c(fg,"Weights from XXX not initialized from pretrained model"),fg.forEach(t),bm=c(pl,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),pl.forEach(t),vm=d(S),vt=s(S,"P",{});var fl=r(vt);ym=c(fl,"The warning "),zr=s(fl,"EM",{});var ug=r(zr);xm=c(ug,"Weights from XXX not used in YYY"),ug.forEach(t),$m=c(fl,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),fl.forEach(t),wm=d(S),u(mo.$$.fragment,S),Dm=d(S),u(po.$$.fragment,S),S.forEach(t),km=d(A),fo=s(A,"DIV",{class:!0});var ul=r(fo);u(yt.$$.fragment,ul),Tm=d(ul),Vr=s(ul,"P",{});var hg=r(Vr);Mm=c(hg,"Get number of (optionally, trainable or non-embeddings) parameters in the module."),hg.forEach(t),ul.forEach(t),Nm=d(A),uo=s(A,"DIV",{class:!0});var hl=r(uo);u(xt.$$.fragment,hl),Em=d(hl),$t=s(hl,"P",{});var _l=r($t);Am=c(_l,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),Br=s(_l,"CODE",{});var _g=r(Br);Um=c(_g,"[from_pretrained()](/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin.from_pretrained)"),_g.forEach(t),Cm=c(_l," class method."),_l.forEach(t),hl.forEach(t),A.forEach(t),ld=d(o),Ee=s(o,"H2",{class:!0});var gl=r(Ee);ho=s(gl,"A",{id:!0,class:!0,href:!0});var gg=r(ho);Kr=s(gg,"SPAN",{});var bg=r(Kr);u(wt.$$.fragment,bg),bg.forEach(t),gg.forEach(t),Fm=d(gl),Sr=s(gl,"SPAN",{});var vg=r(Sr);Pm=c(vg,"UNet2DOutput"),vg.forEach(t),gl.forEach(t),cd=d(o),Dt=s(o,"DIV",{class:!0});var yg=r(Dt);u(kt.$$.fragment,yg),yg.forEach(t),md=d(o),Ae=s(o,"H2",{class:!0});var bl=r(Ae);_o=s(bl,"A",{id:!0,class:!0,href:!0});var xg=r(_o);Wr=s(xg,"SPAN",{});var $g=r(Wr);u(Tt.$$.fragment,$g),$g.forEach(t),xg.forEach(t),Om=d(bl),Xr=s(bl,"SPAN",{});var wg=r(Xr);qm=c(wg,"UNet2DModel"),wg.forEach(t),bl.forEach(t),pd=d(o),H=s(o,"DIV",{class:!0});var nt=r(H);u(Mt.$$.fragment,nt),Lm=d(nt),Hr=s(nt,"P",{});var Dg=r(Hr);jm=c(Dg,"UNet2DModel is a 2D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Dg.forEach(t),Im=d(nt),Nt=s(nt,"P",{});var vl=r(Nt);zm=c(vl,"This model inherits from "),Vs=s(vl,"A",{href:!0});var kg=r(Vs);Vm=c(kg,"ModelMixin"),kg.forEach(t),Bm=c(vl,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),vl.forEach(t),Km=d(nt),Bs=s(nt,"DIV",{class:!0});var Tg=r(Bs);u(Et.$$.fragment,Tg),Tg.forEach(t),nt.forEach(t),fd=d(o),Ue=s(o,"H2",{class:!0});var yl=r(Ue);go=s(yl,"A",{id:!0,class:!0,href:!0});var Mg=r(go);Qr=s(Mg,"SPAN",{});var Ng=r(Qr);u(At.$$.fragment,Ng),Ng.forEach(t),Mg.forEach(t),Sm=d(yl),Rr=s(yl,"SPAN",{});var Eg=r(Rr);Wm=c(Eg,"UNet1DOutput"),Eg.forEach(t),yl.forEach(t),ud=d(o),Ut=s(o,"DIV",{class:!0});var Ag=r(Ut);u(Ct.$$.fragment,Ag),Ag.forEach(t),hd=d(o),Ce=s(o,"H2",{class:!0});var xl=r(Ce);bo=s(xl,"A",{id:!0,class:!0,href:!0});var Ug=r(bo);Yr=s(Ug,"SPAN",{});var Cg=r(Yr);u(Ft.$$.fragment,Cg),Cg.forEach(t),Ug.forEach(t),Xm=d(xl),Gr=s(xl,"SPAN",{});var Fg=r(Gr);Hm=c(Fg,"UNet1DModel"),Fg.forEach(t),xl.forEach(t),_d=d(o),Q=s(o,"DIV",{class:!0});var st=r(Q);u(Pt.$$.fragment,st),Qm=d(st),Jr=s(st,"P",{});var Pg=r(Jr);Rm=c(Pg,"UNet1DModel is a 1D UNet model that takes in a noisy sample and a timestep and returns sample shaped output."),Pg.forEach(t),Ym=d(st),Ot=s(st,"P",{});var $l=r(Ot);Gm=c($l,"This model inherits from "),Ks=s($l,"A",{href:!0});var Og=r(Ks);Jm=c(Og,"ModelMixin"),Og.forEach(t),Zm=c($l,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),$l.forEach(t),ep=d(st),Ss=s(st,"DIV",{class:!0});var qg=r(Ss);u(qt.$$.fragment,qg),qg.forEach(t),st.forEach(t),gd=d(o),Fe=s(o,"H2",{class:!0});var wl=r(Fe);vo=s(wl,"A",{id:!0,class:!0,href:!0});var Lg=r(vo);Zr=s(Lg,"SPAN",{});var jg=r(Zr);u(Lt.$$.fragment,jg),jg.forEach(t),Lg.forEach(t),op=d(wl),ea=s(wl,"SPAN",{});var Ig=r(ea);tp=c(Ig,"UNet2DConditionOutput"),Ig.forEach(t),wl.forEach(t),bd=d(o),jt=s(o,"DIV",{class:!0});var zg=r(jt);u(It.$$.fragment,zg),zg.forEach(t),vd=d(o),Pe=s(o,"H2",{class:!0});var Dl=r(Pe);yo=s(Dl,"A",{id:!0,class:!0,href:!0});var Vg=r(yo);oa=s(Vg,"SPAN",{});var Bg=r(oa);u(zt.$$.fragment,Bg),Bg.forEach(t),Vg.forEach(t),np=d(Dl),ta=s(Dl,"SPAN",{});var Kg=r(ta);sp=c(Kg,"UNet2DConditionModel"),Kg.forEach(t),Dl.forEach(t),yd=d(o),P=s(o,"DIV",{class:!0});var ne=r(P);u(Vt.$$.fragment,ne),rp=d(ne),na=s(ne,"P",{});var Sg=r(na);ap=c(Sg,`UNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),Sg.forEach(t),ip=d(ne),Bt=s(ne,"P",{});var kl=r(Bt);dp=c(kl,"This model inherits from "),Ws=s(kl,"A",{href:!0});var Wg=r(Ws);lp=c(Wg,"ModelMixin"),Wg.forEach(t),cp=c(kl,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),kl.forEach(t),mp=d(ne),Xs=s(ne,"DIV",{class:!0});var Xg=r(Xs);u(Kt.$$.fragment,Xg),Xg.forEach(t),pp=d(ne),he=s(ne,"DIV",{class:!0});var fr=r(he);u(St.$$.fragment,fr),fp=d(fr),sa=s(fr,"P",{});var Hg=r(sa);up=c(Hg,"Enable sliced attention computation."),Hg.forEach(t),hp=d(fr),ra=s(fr,"P",{});var Qg=r(ra);_p=c(Qg,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Qg.forEach(t),fr.forEach(t),gp=d(ne),Hs=s(ne,"DIV",{class:!0});var Rg=r(Hs);u(Wt.$$.fragment,Rg),Rg.forEach(t),ne.forEach(t),xd=d(o),Oe=s(o,"H2",{class:!0});var Tl=r(Oe);xo=s(Tl,"A",{id:!0,class:!0,href:!0});var Yg=r(xo);aa=s(Yg,"SPAN",{});var Gg=r(aa);u(Xt.$$.fragment,Gg),Gg.forEach(t),Yg.forEach(t),bp=d(Tl),ia=s(Tl,"SPAN",{});var Jg=r(ia);vp=c(Jg,"UNet3DConditionOutput"),Jg.forEach(t),Tl.forEach(t),$d=d(o),Ht=s(o,"DIV",{class:!0});var Zg=r(Ht);u(Qt.$$.fragment,Zg),Zg.forEach(t),wd=d(o),qe=s(o,"H2",{class:!0});var Ml=r(qe);$o=s(Ml,"A",{id:!0,class:!0,href:!0});var e2=r($o);da=s(e2,"SPAN",{});var o2=r(da);u(Rt.$$.fragment,o2),o2.forEach(t),e2.forEach(t),yp=d(Ml),la=s(Ml,"SPAN",{});var t2=r(la);xp=c(t2,"UNet3DConditionModel"),t2.forEach(t),Ml.forEach(t),Dd=d(o),O=s(o,"DIV",{class:!0});var se=r(O);u(Yt.$$.fragment,se),$p=d(se),ca=s(se,"P",{});var n2=r(ca);wp=c(n2,`UNet3DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a timestep
and returns sample shaped output.`),n2.forEach(t),Dp=d(se),Gt=s(se,"P",{});var Nl=r(Gt);kp=c(Nl,"This model inherits from "),Qs=s(Nl,"A",{href:!0});var s2=r(Qs);Tp=c(s2,"ModelMixin"),s2.forEach(t),Mp=c(Nl,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Nl.forEach(t),Np=d(se),Rs=s(se,"DIV",{class:!0});var r2=r(Rs);u(Jt.$$.fragment,r2),r2.forEach(t),Ep=d(se),_e=s(se,"DIV",{class:!0});var ur=r(_e);u(Zt.$$.fragment,ur),Ap=d(ur),ma=s(ur,"P",{});var a2=r(ma);Up=c(a2,"Enable sliced attention computation."),a2.forEach(t),Cp=d(ur),pa=s(ur,"P",{});var i2=r(pa);Fp=c(i2,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),i2.forEach(t),ur.forEach(t),Pp=d(se),Ys=s(se,"DIV",{class:!0});var d2=r(Ys);u(en.$$.fragment,d2),d2.forEach(t),se.forEach(t),kd=d(o),Le=s(o,"H2",{class:!0});var El=r(Le);wo=s(El,"A",{id:!0,class:!0,href:!0});var l2=r(wo);fa=s(l2,"SPAN",{});var c2=r(fa);u(on.$$.fragment,c2),c2.forEach(t),l2.forEach(t),Op=d(El),ua=s(El,"SPAN",{});var m2=r(ua);qp=c(m2,"DecoderOutput"),m2.forEach(t),El.forEach(t),Td=d(o),je=s(o,"DIV",{class:!0});var Al=r(je);u(tn.$$.fragment,Al),Lp=d(Al),ha=s(Al,"P",{});var p2=r(ha);jp=c(p2,"Output of decoding method."),p2.forEach(t),Al.forEach(t),Md=d(o),Ie=s(o,"H2",{class:!0});var Ul=r(Ie);Do=s(Ul,"A",{id:!0,class:!0,href:!0});var f2=r(Do);_a=s(f2,"SPAN",{});var u2=r(_a);u(nn.$$.fragment,u2),u2.forEach(t),f2.forEach(t),Ip=d(Ul),ga=s(Ul,"SPAN",{});var h2=r(ga);zp=c(h2,"VQEncoderOutput"),h2.forEach(t),Ul.forEach(t),Nd=d(o),ze=s(o,"DIV",{class:!0});var Cl=r(ze);u(sn.$$.fragment,Cl),Vp=d(Cl),ba=s(Cl,"P",{});var _2=r(ba);Bp=c(_2,"Output of VQModel encoding method."),_2.forEach(t),Cl.forEach(t),Ed=d(o),Ve=s(o,"H2",{class:!0});var Fl=r(Ve);ko=s(Fl,"A",{id:!0,class:!0,href:!0});var g2=r(ko);va=s(g2,"SPAN",{});var b2=r(va);u(rn.$$.fragment,b2),b2.forEach(t),g2.forEach(t),Kp=d(Fl),ya=s(Fl,"SPAN",{});var v2=r(ya);Sp=c(v2,"VQModel"),v2.forEach(t),Fl.forEach(t),Ad=d(o),R=s(o,"DIV",{class:!0});var rt=r(R);u(an.$$.fragment,rt),Wp=d(rt),xa=s(rt,"P",{});var y2=r(xa);Xp=c(y2,`VQ-VAE model from the paper Neural Discrete Representation Learning by Aaron van den Oord, Oriol Vinyals and Koray
Kavukcuoglu.`),y2.forEach(t),Hp=d(rt),dn=s(rt,"P",{});var Pl=r(dn);Qp=c(Pl,"This model inherits from "),Gs=s(Pl,"A",{href:!0});var x2=r(Gs);Rp=c(x2,"ModelMixin"),x2.forEach(t),Yp=c(Pl,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),Pl.forEach(t),Gp=d(rt),Js=s(rt,"DIV",{class:!0});var $2=r(Js);u(ln.$$.fragment,$2),$2.forEach(t),rt.forEach(t),Ud=d(o),Be=s(o,"H2",{class:!0});var Ol=r(Be);To=s(Ol,"A",{id:!0,class:!0,href:!0});var w2=r(To);$a=s(w2,"SPAN",{});var D2=r($a);u(cn.$$.fragment,D2),D2.forEach(t),w2.forEach(t),Jp=d(Ol),wa=s(Ol,"SPAN",{});var k2=r(wa);Zp=c(k2,"AutoencoderKLOutput"),k2.forEach(t),Ol.forEach(t),Cd=d(o),Ke=s(o,"DIV",{class:!0});var ql=r(Ke);u(mn.$$.fragment,ql),ef=d(ql),Da=s(ql,"P",{});var T2=r(Da);of=c(T2,"Output of AutoencoderKL encoding method."),T2.forEach(t),ql.forEach(t),Fd=d(o),Se=s(o,"H2",{class:!0});var Ll=r(Se);Mo=s(Ll,"A",{id:!0,class:!0,href:!0});var M2=r(Mo);ka=s(M2,"SPAN",{});var N2=r(ka);u(pn.$$.fragment,N2),N2.forEach(t),M2.forEach(t),tf=d(Ll),Ta=s(Ll,"SPAN",{});var E2=r(Ta);nf=c(E2,"AutoencoderKL"),E2.forEach(t),Ll.forEach(t),Pd=d(o),E=s(o,"DIV",{class:!0});var C=r(E);u(fn.$$.fragment,C),sf=d(C),Ma=s(C,"P",{});var A2=r(Ma);rf=c(A2,`Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational Bayes by Diederik P. Kingma
and Max Welling.`),A2.forEach(t),af=d(C),un=s(C,"P",{});var jl=r(un);df=c(jl,"This model inherits from "),Zs=s(jl,"A",{href:!0});var U2=r(Zs);lf=c(U2,"ModelMixin"),U2.forEach(t),cf=c(jl,`. Check the superclass documentation for the generic methods the library
implements for all the model (such as downloading or saving, etc.)`),jl.forEach(t),mf=d(C),No=s(C,"DIV",{class:!0});var Il=r(No);u(hn.$$.fragment,Il),pf=d(Il),_n=s(Il,"P",{});var zl=r(_n);ff=c(zl,"Disable sliced VAE decoding. If "),Na=s(zl,"CODE",{});var C2=r(Na);uf=c(C2,"enable_slicing"),C2.forEach(t),hf=c(zl,` was previously invoked, this method will go back to computing
decoding in one step.`),zl.forEach(t),Il.forEach(t),_f=d(C),Eo=s(C,"DIV",{class:!0});var Vl=r(Eo);u(gn.$$.fragment,Vl),gf=d(Vl),bn=s(Vl,"P",{});var Bl=r(bn);bf=c(Bl,"Disable tiled VAE decoding. If "),Ea=s(Bl,"CODE",{});var F2=r(Ea);vf=c(F2,"enable_vae_tiling"),F2.forEach(t),yf=c(Bl,` was previously invoked, this method will go back to
computing decoding in one step.`),Bl.forEach(t),Vl.forEach(t),xf=d(C),Ao=s(C,"DIV",{class:!0});var Kl=r(Ao);u(vn.$$.fragment,Kl),$f=d(Kl),Aa=s(Kl,"P",{});var P2=r(Aa);wf=c(P2,`Enable sliced VAE decoding. When this option is enabled, the VAE will split the input tensor in slices to
compute decoding in several steps. This is useful to save some memory and allow larger batch sizes.`),P2.forEach(t),Kl.forEach(t),Df=d(C),Uo=s(C,"DIV",{class:!0});var Sl=r(Uo);u(yn.$$.fragment,Sl),kf=d(Sl),Ua=s(Sl,"P",{});var O2=r(Ua);Tf=c(O2,`Enable tiled VAE decoding. When this option is enabled, the VAE will split the input tensor into tiles to
compute decoding and encoding in several steps. This is useful to save a large amount of memory and to allow
the processing of larger images.`),O2.forEach(t),Sl.forEach(t),Mf=d(C),er=s(C,"DIV",{class:!0});var q2=r(er);u(xn.$$.fragment,q2),q2.forEach(t),Nf=d(C),Co=s(C,"DIV",{class:!0});var Wl=r(Co);u($n.$$.fragment,Wl),Ef=d(Wl),Ca=s(Wl,"P",{});var L2=r(Ca);Af=c(L2,"Decode a batch of images using a tiled decoder."),L2.forEach(t),Wl.forEach(t),Uf=d(C),Fo=s(C,"DIV",{class:!0});var Xl=r(Fo);u(wn.$$.fragment,Xl),Cf=d(Xl),Fa=s(Xl,"P",{});var j2=r(Fa);Ff=c(j2,"Encode a batch of images using a tiled encoder."),j2.forEach(t),Xl.forEach(t),C.forEach(t),Od=d(o),We=s(o,"H2",{class:!0});var Hl=r(We);Po=s(Hl,"A",{id:!0,class:!0,href:!0});var I2=r(Po);Pa=s(I2,"SPAN",{});var z2=r(Pa);u(Dn.$$.fragment,z2),z2.forEach(t),I2.forEach(t),Pf=d(Hl),Oa=s(Hl,"SPAN",{});var V2=r(Oa);Of=c(V2,"Transformer2DModel"),V2.forEach(t),Hl.forEach(t),qd=d(o),q=s(o,"DIV",{class:!0});var re=r(q);u(kn.$$.fragment,re),qf=d(re),qa=s(re,"P",{});var B2=r(qa);Lf=c(B2,`Transformer model for image-like data. Takes either discrete (classes of vector embeddings) or continuous (actual
embeddings) inputs.`),B2.forEach(t),jf=d(re),La=s(re,"P",{});var K2=r(La);If=c(K2,`When input is continuous: First, project the input (aka embedding) and reshape to b, t, d. Then apply standard
transformer action. Finally, reshape to image.`),K2.forEach(t),zf=d(re),Tn=s(re,"P",{});var Ql=r(Tn);Vf=c(Ql,`When input is discrete: First, input (classes of latent pixels) is converted to embeddings and has positional
embeddings applied, see `),ja=s(Ql,"CODE",{});var S2=r(ja);Bf=c(S2,"ImagePositionalEmbeddings"),S2.forEach(t),Kf=c(Ql,`. Then apply standard transformer action. Finally, predict
classes of unnoised image.`),Ql.forEach(t),Sf=d(re),Ia=s(re,"P",{});var W2=r(Ia);Wf=c(W2,`Note that it is assumed one of the input classes is the masked latent pixel. The predicted classes of the unnoised
image do not contain a prediction for the masked pixel as the unnoised image cannot be masked.`),W2.forEach(t),Xf=d(re),or=s(re,"DIV",{class:!0});var X2=r(or);u(Mn.$$.fragment,X2),X2.forEach(t),re.forEach(t),Ld=d(o),Xe=s(o,"H2",{class:!0});var Rl=r(Xe);Oo=s(Rl,"A",{id:!0,class:!0,href:!0});var H2=r(Oo);za=s(H2,"SPAN",{});var Q2=r(za);u(Nn.$$.fragment,Q2),Q2.forEach(t),H2.forEach(t),Hf=d(Rl),Va=s(Rl,"SPAN",{});var R2=r(Va);Qf=c(R2,"Transformer2DModelOutput"),R2.forEach(t),Rl.forEach(t),jd=d(o),En=s(o,"DIV",{class:!0});var Y2=r(En);u(An.$$.fragment,Y2),Y2.forEach(t),Id=d(o),He=s(o,"H2",{class:!0});var Yl=r(He);qo=s(Yl,"A",{id:!0,class:!0,href:!0});var G2=r(qo);Ba=s(G2,"SPAN",{});var J2=r(Ba);u(Un.$$.fragment,J2),J2.forEach(t),G2.forEach(t),Rf=d(Yl),Ka=s(Yl,"SPAN",{});var Z2=r(Ka);Yf=c(Z2,"TransformerTemporalModel"),Z2.forEach(t),Yl.forEach(t),zd=d(o),ie=s(o,"DIV",{class:!0});var hr=r(ie);u(Cn.$$.fragment,hr),Gf=d(hr),Sa=s(hr,"P",{});var eb=r(Sa);Jf=c(eb,"Transformer model for video-like data."),eb.forEach(t),Zf=d(hr),tr=s(hr,"DIV",{class:!0});var ob=r(tr);u(Fn.$$.fragment,ob),ob.forEach(t),hr.forEach(t),Vd=d(o),Qe=s(o,"H2",{class:!0});var Gl=r(Qe);Lo=s(Gl,"A",{id:!0,class:!0,href:!0});var tb=r(Lo);Wa=s(tb,"SPAN",{});var nb=r(Wa);u(Pn.$$.fragment,nb),nb.forEach(t),tb.forEach(t),eu=d(Gl),Xa=s(Gl,"SPAN",{});var sb=r(Xa);ou=c(sb,"Transformer2DModelOutput"),sb.forEach(t),Gl.forEach(t),Bd=d(o),On=s(o,"DIV",{class:!0});var rb=r(On);u(qn.$$.fragment,rb),rb.forEach(t),Kd=d(o),Re=s(o,"H2",{class:!0});var Jl=r(Re);jo=s(Jl,"A",{id:!0,class:!0,href:!0});var ab=r(jo);Ha=s(ab,"SPAN",{});var ib=r(Ha);u(Ln.$$.fragment,ib),ib.forEach(t),ab.forEach(t),tu=d(Jl),Qa=s(Jl,"SPAN",{});var db=r(Qa);nu=c(db,"PriorTransformer"),db.forEach(t),Jl.forEach(t),Sd=d(o),z=s(o,"DIV",{class:!0});var ye=r(z);u(jn.$$.fragment,ye),su=d(ye),Ra=s(ye,"P",{});var lb=r(Ra);ru=c(lb,`The prior transformer from unCLIP is used to predict CLIP image embeddings from CLIP text embeddings. Note that the
transformer predicts the image embeddings through a denoising diffusion process.`),lb.forEach(t),au=d(ye),In=s(ye,"P",{});var Zl=r(In);iu=c(Zl,"This model inherits from "),nr=s(Zl,"A",{href:!0});var cb=r(nr);du=c(cb,"ModelMixin"),cb.forEach(t),lu=c(Zl,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),Zl.forEach(t),cu=d(ye),sr=s(ye,"P",{});var W_=r(sr);mu=c(W_,"For more details, see the original paper: "),zn=s(W_,"A",{href:!0,rel:!0});var mb=r(zn);pu=c(mb,"https://arxiv.org/abs/2204.06125"),mb.forEach(t),W_.forEach(t),fu=d(ye),rr=s(ye,"DIV",{class:!0});var pb=r(rr);u(Vn.$$.fragment,pb),pb.forEach(t),ye.forEach(t),Wd=d(o),Ye=s(o,"H2",{class:!0});var ec=r(Ye);Io=s(ec,"A",{id:!0,class:!0,href:!0});var fb=r(Io);Ya=s(fb,"SPAN",{});var ub=r(Ya);u(Bn.$$.fragment,ub),ub.forEach(t),fb.forEach(t),uu=d(ec),Ga=s(ec,"SPAN",{});var hb=r(Ga);hu=c(hb,"PriorTransformerOutput"),hb.forEach(t),ec.forEach(t),Xd=d(o),Kn=s(o,"DIV",{class:!0});var _b=r(Kn);u(Sn.$$.fragment,_b),_b.forEach(t),Hd=d(o),Ge=s(o,"H2",{class:!0});var oc=r(Ge);zo=s(oc,"A",{id:!0,class:!0,href:!0});var gb=r(zo);Ja=s(gb,"SPAN",{});var bb=r(Ja);u(Wn.$$.fragment,bb),bb.forEach(t),gb.forEach(t),_u=d(oc),Za=s(oc,"SPAN",{});var vb=r(Za);gu=c(vb,"ControlNetOutput"),vb.forEach(t),oc.forEach(t),Qd=d(o),Xn=s(o,"DIV",{class:!0});var yb=r(Xn);u(Hn.$$.fragment,yb),yb.forEach(t),Rd=d(o),Je=s(o,"H2",{class:!0});var tc=r(Je);Vo=s(tc,"A",{id:!0,class:!0,href:!0});var xb=r(Vo);ei=s(xb,"SPAN",{});var $b=r(ei);u(Qn.$$.fragment,$b),$b.forEach(t),xb.forEach(t),bu=d(tc),oi=s(tc,"SPAN",{});var wb=r(oi);vu=c(wb,"ControlNetModel"),wb.forEach(t),tc.forEach(t),Yd=d(o),Y=s(o,"DIV",{class:!0});var at=r(Y);u(Rn.$$.fragment,at),yu=d(at),Bo=s(at,"DIV",{class:!0});var nc=r(Bo);u(Yn.$$.fragment,nc),xu=d(nc),ti=s(nc,"P",{});var Db=r(ti);$u=c(Db,"Instantiate Controlnet class from UNet2DConditionModel."),Db.forEach(t),nc.forEach(t),wu=d(at),ge=s(at,"DIV",{class:!0});var _r=r(ge);u(Gn.$$.fragment,_r),Du=d(_r),ni=s(_r,"P",{});var kb=r(ni);ku=c(kb,"Enable sliced attention computation."),kb.forEach(t),Tu=d(_r),si=s(_r,"P",{});var Tb=r(si);Mu=c(Tb,`When this option is enabled, the attention module will split the input tensor in slices, to compute attention
in several steps. This is useful to save some memory in exchange for a small speed decrease.`),Tb.forEach(t),_r.forEach(t),Nu=d(at),ar=s(at,"DIV",{class:!0});var Mb=r(ar);u(Jn.$$.fragment,Mb),Mb.forEach(t),at.forEach(t),Gd=d(o),Ze=s(o,"H2",{class:!0});var sc=r(Ze);Ko=s(sc,"A",{id:!0,class:!0,href:!0});var Nb=r(Ko);ri=s(Nb,"SPAN",{});var Eb=r(ri);u(Zn.$$.fragment,Eb),Eb.forEach(t),Nb.forEach(t),Eu=d(sc),ai=s(sc,"SPAN",{});var Ab=r(ai);Au=c(Ab,"FlaxModelMixin"),Ab.forEach(t),sc.forEach(t),Jd=d(o),U=s(o,"DIV",{class:!0});var I=r(U);u(es.$$.fragment,I),Uu=d(I),ii=s(I,"P",{});var Ub=r(ii);Cu=c(Ub,"Base class for all flax models."),Ub.forEach(t),Fu=d(I),ir=s(I,"P",{});var X_=r(ir);dr=s(X_,"A",{href:!0});var Cb=r(dr);Pu=c(Cb,"FlaxModelMixin"),Cb.forEach(t),Ou=c(X_,` takes care of storing the configuration of the models and handles methods for loading,
downloading and saving models.`),X_.forEach(t),qu=d(I),K=s(I,"DIV",{class:!0});var xe=r(K);u(os.$$.fragment,xe),Lu=d(xe),di=s(xe,"P",{});var Fb=r(di);ju=c(Fb,"Instantiate a pretrained flax model from a pre-trained model configuration."),Fb.forEach(t),Iu=d(xe),ts=s(xe,"P",{});var rc=r(ts);zu=c(rc,"The warning "),li=s(rc,"EM",{});var Pb=r(li);Vu=c(Pb,"Weights from XXX not initialized from pretrained model"),Pb.forEach(t),Bu=c(rc,` means that the weights of XXX do not come
pretrained with the rest of the model. It is up to you to train those weights with a downstream fine-tuning
task.`),rc.forEach(t),Ku=d(xe),ns=s(xe,"P",{});var ac=r(ns);Su=c(ac,"The warning "),ci=s(ac,"EM",{});var Ob=r(ci);Wu=c(Ob,"Weights from XXX not used in YYY"),Ob.forEach(t),Xu=c(ac,` means that the layer XXX is not used by YYY, therefore those
weights are discarded.`),ac.forEach(t),Hu=d(xe),u(So.$$.fragment,xe),xe.forEach(t),Qu=d(I),Wo=s(I,"DIV",{class:!0});var ic=r(Wo);u(ss.$$.fragment,ic),Ru=d(ic),rs=s(ic,"P",{});var dc=r(rs);Yu=c(dc,`Save a model and its configuration file to a directory, so that it can be re-loaded using the
`),mi=s(dc,"CODE",{});var qb=r(mi);Gu=c(qb,"[from_pretrained()](/docs/diffusers/pr_2697/en/api/models#diffusers.FlaxModelMixin.from_pretrained)"),qb.forEach(t),Ju=c(dc," class method"),dc.forEach(t),ic.forEach(t),Zu=d(I),oe=s(I,"DIV",{class:!0});var it=r(oe);u(as.$$.fragment,it),eh=d(it),G=s(it,"P",{});var $e=r(G);oh=c($e,"Cast the floating-point "),pi=s($e,"CODE",{});var Lb=r(pi);th=c(Lb,"params"),Lb.forEach(t),nh=c($e," to "),fi=s($e,"CODE",{});var jb=r(fi);sh=c(jb,"jax.numpy.bfloat16"),jb.forEach(t),rh=c($e,". This returns a new "),ui=s($e,"CODE",{});var Ib=r(ui);ah=c(Ib,"params"),Ib.forEach(t),ih=c($e,` tree and does not cast
the `),hi=s($e,"CODE",{});var zb=r(hi);dh=c(zb,"params"),zb.forEach(t),lh=c($e," in place."),$e.forEach(t),ch=d(it),_i=s(it,"P",{});var Vb=r(_i);mh=c(Vb,`This method can be used on TPU to explicitly convert the model parameters to bfloat16 precision to do full
half-precision training or to save weights in bfloat16 for inference in order to save memory and improve speed.`),Vb.forEach(t),ph=d(it),u(Xo.$$.fragment,it),it.forEach(t),fh=d(I),te=s(I,"DIV",{class:!0});var dt=r(te);u(is.$$.fragment,dt),uh=d(dt),J=s(dt,"P",{});var we=r(J);hh=c(we,"Cast the floating-point "),gi=s(we,"CODE",{});var Bb=r(gi);_h=c(Bb,"params"),Bb.forEach(t),gh=c(we," to "),bi=s(we,"CODE",{});var Kb=r(bi);bh=c(Kb,"jax.numpy.float16"),Kb.forEach(t),vh=c(we,". This returns a new "),vi=s(we,"CODE",{});var Sb=r(vi);yh=c(Sb,"params"),Sb.forEach(t),xh=c(we,` tree and does not cast the
`),yi=s(we,"CODE",{});var Wb=r(yi);$h=c(Wb,"params"),Wb.forEach(t),wh=c(we," in place."),we.forEach(t),Dh=d(dt),xi=s(dt,"P",{});var Xb=r(xi);kh=c(Xb,`This method can be used on GPU to explicitly convert the model parameters to float16 precision to do full
half-precision training or to save weights in float16 for inference in order to save memory and improve speed.`),Xb.forEach(t),Th=d(dt),u(Ho.$$.fragment,dt),dt.forEach(t),Mh=d(I),be=s(I,"DIV",{class:!0});var gr=r(be);u(ds.$$.fragment,gr),Nh=d(gr),Z=s(gr,"P",{});var De=r(Z);Eh=c(De,"Cast the floating-point "),$i=s(De,"CODE",{});var Hb=r($i);Ah=c(Hb,"params"),Hb.forEach(t),Uh=c(De," to "),wi=s(De,"CODE",{});var Qb=r(wi);Ch=c(Qb,"jax.numpy.float32"),Qb.forEach(t),Fh=c(De,`. This method can be used to explicitly convert the
model parameters to fp32 precision. This returns a new `),Di=s(De,"CODE",{});var Rb=r(Di);Ph=c(Rb,"params"),Rb.forEach(t),Oh=c(De," tree and does not cast the "),ki=s(De,"CODE",{});var Yb=r(ki);qh=c(Yb,"params"),Yb.forEach(t),Lh=c(De," in place."),De.forEach(t),jh=d(gr),u(Qo.$$.fragment,gr),gr.forEach(t),I.forEach(t),Zd=d(o),eo=s(o,"H2",{class:!0});var lc=r(eo);Ro=s(lc,"A",{id:!0,class:!0,href:!0});var Gb=r(Ro);Ti=s(Gb,"SPAN",{});var Jb=r(Ti);u(ls.$$.fragment,Jb),Jb.forEach(t),Gb.forEach(t),Ih=d(lc),Mi=s(lc,"SPAN",{});var Zb=r(Mi);zh=c(Zb,"FlaxUNet2DConditionOutput"),Zb.forEach(t),lc.forEach(t),el=d(o),oo=s(o,"DIV",{class:!0});var cc=r(oo);u(cs.$$.fragment,cc),Vh=d(cc),Yo=s(cc,"DIV",{class:!0});var mc=r(Yo);u(ms.$$.fragment,mc),Bh=d(mc),Ni=s(mc,"P",{});var ev=r(Ni);Kh=c(ev,"\u201CReturns a new object replacing the specified fields with new values."),ev.forEach(t),mc.forEach(t),cc.forEach(t),ol=d(o),to=s(o,"H2",{class:!0});var pc=r(to);Go=s(pc,"A",{id:!0,class:!0,href:!0});var ov=r(Go);Ei=s(ov,"SPAN",{});var tv=r(Ei);u(ps.$$.fragment,tv),tv.forEach(t),ov.forEach(t),Sh=d(pc),Ai=s(pc,"SPAN",{});var nv=r(Ai);Wh=c(nv,"FlaxUNet2DConditionModel"),nv.forEach(t),pc.forEach(t),tl=d(o),L=s(o,"DIV",{class:!0});var ae=r(L);u(fs.$$.fragment,ae),Xh=d(ae),Ui=s(ae,"P",{});var sv=r(Ui);Hh=c(sv,`FlaxUNet2DConditionModel is a conditional 2D UNet model that takes in a noisy sample, conditional state, and a
timestep and returns sample shaped output.`),sv.forEach(t),Qh=d(ae),us=s(ae,"P",{});var fc=r(us);Rh=c(fc,"This model inherits from "),lr=s(fc,"A",{href:!0});var rv=r(lr);Yh=c(rv,"FlaxModelMixin"),rv.forEach(t),Gh=c(fc,`. Check the superclass documentation for the generic methods the library
implements for all the models (such as downloading or saving, etc.)`),fc.forEach(t),Jh=d(ae),hs=s(ae,"P",{});var uc=r(hs);Zh=c(uc,"Also, this model is a Flax Linen "),_s=s(uc,"A",{href:!0,rel:!0});var av=r(_s);e_=c(av,"flax.linen.Module"),av.forEach(t),o_=c(uc,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),uc.forEach(t),t_=d(ae),Ci=s(ae,"P",{});var iv=r(Ci);n_=c(iv,"Finally, this model supports inherent JAX features such as:"),iv.forEach(t),s_=d(ae),de=s(ae,"UL",{});var lt=r(de);Fi=s(lt,"LI",{});var dv=r(Fi);gs=s(dv,"A",{href:!0,rel:!0});var lv=r(gs);r_=c(lv,"Just-In-Time (JIT) compilation"),lv.forEach(t),dv.forEach(t),a_=d(lt),Pi=s(lt,"LI",{});var cv=r(Pi);bs=s(cv,"A",{href:!0,rel:!0});var mv=r(bs);i_=c(mv,"Automatic Differentiation"),mv.forEach(t),cv.forEach(t),d_=d(lt),Oi=s(lt,"LI",{});var pv=r(Oi);vs=s(pv,"A",{href:!0,rel:!0});var fv=r(vs);l_=c(fv,"Vectorization"),fv.forEach(t),pv.forEach(t),c_=d(lt),qi=s(lt,"LI",{});var uv=r(qi);ys=s(uv,"A",{href:!0,rel:!0});var hv=r(ys);m_=c(hv,"Parallelization"),hv.forEach(t),uv.forEach(t),lt.forEach(t),ae.forEach(t),nl=d(o),no=s(o,"H2",{class:!0});var hc=r(no);Jo=s(hc,"A",{id:!0,class:!0,href:!0});var _v=r(Jo);Li=s(_v,"SPAN",{});var gv=r(Li);u(xs.$$.fragment,gv),gv.forEach(t),_v.forEach(t),p_=d(hc),ji=s(hc,"SPAN",{});var bv=r(ji);f_=c(bv,"FlaxDecoderOutput"),bv.forEach(t),hc.forEach(t),sl=d(o),le=s(o,"DIV",{class:!0});var br=r(le);u($s.$$.fragment,br),u_=d(br),Ii=s(br,"P",{});var vv=r(Ii);h_=c(vv,"Output of decoding method."),vv.forEach(t),__=d(br),Zo=s(br,"DIV",{class:!0});var _c=r(Zo);u(ws.$$.fragment,_c),g_=d(_c),zi=s(_c,"P",{});var yv=r(zi);b_=c(yv,"\u201CReturns a new object replacing the specified fields with new values."),yv.forEach(t),_c.forEach(t),br.forEach(t),rl=d(o),so=s(o,"H2",{class:!0});var gc=r(so);et=s(gc,"A",{id:!0,class:!0,href:!0});var xv=r(et);Vi=s(xv,"SPAN",{});var $v=r(Vi);u(Ds.$$.fragment,$v),$v.forEach(t),xv.forEach(t),v_=d(gc),Bi=s(gc,"SPAN",{});var wv=r(Bi);y_=c(wv,"FlaxAutoencoderKLOutput"),wv.forEach(t),gc.forEach(t),al=d(o),ce=s(o,"DIV",{class:!0});var vr=r(ce);u(ks.$$.fragment,vr),x_=d(vr),Ki=s(vr,"P",{});var Dv=r(Ki);$_=c(Dv,"Output of AutoencoderKL encoding method."),Dv.forEach(t),w_=d(vr),ot=s(vr,"DIV",{class:!0});var bc=r(ot);u(Ts.$$.fragment,bc),D_=d(bc),Si=s(bc,"P",{});var kv=r(Si);k_=c(kv,"\u201CReturns a new object replacing the specified fields with new values."),kv.forEach(t),bc.forEach(t),vr.forEach(t),il=d(o),ro=s(o,"H2",{class:!0});var vc=r(ro);tt=s(vc,"A",{id:!0,class:!0,href:!0});var Tv=r(tt);Wi=s(Tv,"SPAN",{});var Mv=r(Wi);u(Ms.$$.fragment,Mv),Mv.forEach(t),Tv.forEach(t),T_=d(vc),Xi=s(vc,"SPAN",{});var Nv=r(Xi);M_=c(Nv,"FlaxAutoencoderKL"),Nv.forEach(t),vc.forEach(t),dl=d(o),V=s(o,"DIV",{class:!0});var ke=r(V);u(Ns.$$.fragment,ke),N_=d(ke),Hi=s(ke,"P",{});var Ev=r(Hi);E_=c(Ev,`Flax Implementation of Variational Autoencoder (VAE) model with KL loss from the paper Auto-Encoding Variational
Bayes by Diederik P. Kingma and Max Welling.`),Ev.forEach(t),A_=d(ke),Es=s(ke,"P",{});var yc=r(Es);U_=c(yc,"This model is a Flax Linen "),As=s(yc,"A",{href:!0,rel:!0});var Av=r(As);C_=c(Av,"flax.linen.Module"),Av.forEach(t),F_=c(yc,`
subclass. Use it as a regular Flax linen Module and refer to the Flax documentation for all matter related to
general usage and behavior.`),yc.forEach(t),P_=d(ke),Qi=s(ke,"P",{});var Uv=r(Qi);O_=c(Uv,"Finally, this model supports inherent JAX features such as:"),Uv.forEach(t),q_=d(ke),me=s(ke,"UL",{});var ct=r(me);Ri=s(ct,"LI",{});var Cv=r(Ri);Us=s(Cv,"A",{href:!0,rel:!0});var Fv=r(Us);L_=c(Fv,"Just-In-Time (JIT) compilation"),Fv.forEach(t),Cv.forEach(t),j_=d(ct),Yi=s(ct,"LI",{});var Pv=r(Yi);Cs=s(Pv,"A",{href:!0,rel:!0});var Ov=r(Cs);I_=c(Ov,"Automatic Differentiation"),Ov.forEach(t),Pv.forEach(t),z_=d(ct),Gi=s(ct,"LI",{});var qv=r(Gi);Fs=s(qv,"A",{href:!0,rel:!0});var Lv=r(Fs);V_=c(Lv,"Vectorization"),Lv.forEach(t),qv.forEach(t),B_=d(ct),Ji=s(ct,"LI",{});var jv=r(Ji);Ps=s(jv,"A",{href:!0,rel:!0});var Iv=r(Ps);K_=c(Iv,"Parallelization"),Iv.forEach(t),jv.forEach(t),ct.forEach(t),ke.forEach(t),this.h()},h(){a(x,"name","hf:doc:metadata"),a(x,"content",JSON.stringify(e1)),a($,"id","models"),a($,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a($,"href","#models"),a(D,"class","relative group"),a(io,"id","diffusers.ModelMixin"),a(io,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(io,"href","#diffusers.ModelMixin"),a(Me,"class","relative group"),a(Is,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(zs,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin.save_pretrained"),a(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(lo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(uo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ho,"id","diffusers.models.unet_2d.UNet2DOutput"),a(ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ho,"href","#diffusers.models.unet_2d.UNet2DOutput"),a(Ee,"class","relative group"),a(Dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(_o,"id","diffusers.UNet2DModel"),a(_o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(_o,"href","#diffusers.UNet2DModel"),a(Ae,"class","relative group"),a(Vs,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(Bs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(go,"id","diffusers.models.unet_1d.UNet1DOutput"),a(go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(go,"href","#diffusers.models.unet_1d.UNet1DOutput"),a(Ue,"class","relative group"),a(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(bo,"id","diffusers.UNet1DModel"),a(bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(bo,"href","#diffusers.UNet1DModel"),a(Ce,"class","relative group"),a(Ks,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(Ss,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(vo,"id","diffusers.models.unet_2d_condition.UNet2DConditionOutput"),a(vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(vo,"href","#diffusers.models.unet_2d_condition.UNet2DConditionOutput"),a(Fe,"class","relative group"),a(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(yo,"id","diffusers.UNet2DConditionModel"),a(yo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(yo,"href","#diffusers.UNet2DConditionModel"),a(Pe,"class","relative group"),a(Ws,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(Xs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Hs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(xo,"id","diffusers.models.unet_3d_condition.UNet3DConditionOutput"),a(xo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(xo,"href","#diffusers.models.unet_3d_condition.UNet3DConditionOutput"),a(Oe,"class","relative group"),a(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a($o,"id","diffusers.UNet3DConditionModel"),a($o,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a($o,"href","#diffusers.UNet3DConditionModel"),a(qe,"class","relative group"),a(Qs,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(Rs,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(_e,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Ys,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(wo,"id","diffusers.models.vae.DecoderOutput"),a(wo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(wo,"href","#diffusers.models.vae.DecoderOutput"),a(Le,"class","relative group"),a(je,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Do,"id","diffusers.models.vq_model.VQEncoderOutput"),a(Do,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Do,"href","#diffusers.models.vq_model.VQEncoderOutput"),a(Ie,"class","relative group"),a(ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ko,"id","diffusers.VQModel"),a(ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(ko,"href","#diffusers.VQModel"),a(Ve,"class","relative group"),a(Gs,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(Js,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(To,"id","diffusers.models.autoencoder_kl.AutoencoderKLOutput"),a(To,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(To,"href","#diffusers.models.autoencoder_kl.AutoencoderKLOutput"),a(Be,"class","relative group"),a(Ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Mo,"id","diffusers.AutoencoderKL"),a(Mo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Mo,"href","#diffusers.AutoencoderKL"),a(Se,"class","relative group"),a(Zs,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(No,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Eo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Uo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(er,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Co,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Fo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Po,"id","diffusers.Transformer2DModel"),a(Po,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Po,"href","#diffusers.Transformer2DModel"),a(We,"class","relative group"),a(or,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Oo,"id","diffusers.models.transformer_2d.Transformer2DModelOutput"),a(Oo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Oo,"href","#diffusers.models.transformer_2d.Transformer2DModelOutput"),a(Xe,"class","relative group"),a(En,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(qo,"id","diffusers.models.transformer_temporal.TransformerTemporalModel"),a(qo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(qo,"href","#diffusers.models.transformer_temporal.TransformerTemporalModel"),a(He,"class","relative group"),a(tr,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Lo,"id","diffusers.models.transformer_temporal.TransformerTemporalModelOutput"),a(Lo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Lo,"href","#diffusers.models.transformer_temporal.TransformerTemporalModelOutput"),a(Qe,"class","relative group"),a(On,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(jo,"id","diffusers.PriorTransformer"),a(jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(jo,"href","#diffusers.PriorTransformer"),a(Re,"class","relative group"),a(nr,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.ModelMixin"),a(zn,"href","https://arxiv.org/abs/2204.06125"),a(zn,"rel","nofollow"),a(rr,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Io,"id","diffusers.models.prior_transformer.PriorTransformerOutput"),a(Io,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Io,"href","#diffusers.models.prior_transformer.PriorTransformerOutput"),a(Ye,"class","relative group"),a(Kn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(zo,"id","diffusers.models.controlnet.ControlNetOutput"),a(zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(zo,"href","#diffusers.models.controlnet.ControlNetOutput"),a(Ge,"class","relative group"),a(Xn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Vo,"id","diffusers.ControlNetModel"),a(Vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Vo,"href","#diffusers.ControlNetModel"),a(Je,"class","relative group"),a(Bo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ar,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Ko,"id","diffusers.FlaxModelMixin"),a(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ko,"href","#diffusers.FlaxModelMixin"),a(Ze,"class","relative group"),a(dr,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.FlaxModelMixin"),a(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Wo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Ro,"id","diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),a(Ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Ro,"href","#diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput"),a(eo,"class","relative group"),a(Yo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(oo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Go,"id","diffusers.FlaxUNet2DConditionModel"),a(Go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Go,"href","#diffusers.FlaxUNet2DConditionModel"),a(to,"class","relative group"),a(lr,"href","/docs/diffusers/pr_2697/en/api/models#diffusers.FlaxModelMixin"),a(_s,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),a(_s,"rel","nofollow"),a(gs,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),a(gs,"rel","nofollow"),a(bs,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),a(bs,"rel","nofollow"),a(vs,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),a(vs,"rel","nofollow"),a(ys,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),a(ys,"rel","nofollow"),a(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(Jo,"id","diffusers.models.vae_flax.FlaxDecoderOutput"),a(Jo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(Jo,"href","#diffusers.models.vae_flax.FlaxDecoderOutput"),a(no,"class","relative group"),a(Zo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(et,"id","diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),a(et,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(et,"href","#diffusers.models.vae_flax.FlaxAutoencoderKLOutput"),a(so,"class","relative group"),a(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),a(tt,"id","diffusers.FlaxAutoencoderKL"),a(tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),a(tt,"href","#diffusers.FlaxAutoencoderKL"),a(ro,"class","relative group"),a(As,"href","https://flax.readthedocs.io/en/latest/flax.linen.html#module"),a(As,"rel","nofollow"),a(Us,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),a(Us,"rel","nofollow"),a(Cs,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),a(Cs,"rel","nofollow"),a(Fs,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),a(Fs,"rel","nofollow"),a(Ps,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),a(Ps,"rel","nofollow"),a(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,m){e(document.head,x),p(o,T,m),p(o,D,m),e(D,$),e($,k),h(v,k,null),e(D,w),e(D,ee),e(ee,Te),p(o,W,m),p(o,X,m),e(X,Ls),e(X,yr),e(yr,xc),e(X,$c),e(X,xr),e(xr,wc),e(X,Dc),p(o,id,m),p(o,Me,m),e(Me,io),e(io,$r),h(mt,$r,null),e(Me,kc),e(Me,wr),e(wr,Tc),p(o,dd,m),p(o,N,m),h(pt,N,null),e(N,Mc),e(N,Dr),e(Dr,Nc),e(N,Ec),e(N,js),e(js,Is),e(Is,Ac),e(js,Uc),e(N,Cc),e(N,kr),e(kr,pe),e(pe,Tr),e(Tr,Fc),e(pe,Pc),e(pe,Mr),e(Mr,Oc),e(pe,qc),e(pe,zs),e(zs,Lc),e(pe,jc),e(N,Ic),e(N,fe),h(ft,fe,null),e(fe,zc),e(fe,Nr),e(Nr,Vc),e(fe,Bc),e(fe,Er),e(Er,Kc),e(N,Sc),e(N,lo),h(ut,lo,null),e(lo,Wc),e(lo,Ar),e(Ar,Xc),e(N,Hc),e(N,ue),h(ht,ue,null),e(ue,Qc),e(ue,Ur),e(Ur,Rc),e(ue,Yc),e(ue,Cr),e(Cr,Gc),e(N,Jc),e(N,B),h(_t,B,null),e(B,Zc),e(B,Fr),e(Fr,em),e(B,om),e(B,Pr),e(Pr,tm),e(B,nm),e(B,Or),e(Or,sm),e(B,rm),h(co,B,null),e(N,am),e(N,F),h(gt,F,null),e(F,im),e(F,qr),e(qr,dm),e(F,lm),e(F,Ne),e(Ne,cm),e(Ne,Lr),e(Lr,mm),e(Ne,pm),e(Ne,jr),e(jr,fm),e(Ne,um),e(F,hm),e(F,bt),e(bt,_m),e(bt,Ir),e(Ir,gm),e(bt,bm),e(F,vm),e(F,vt),e(vt,ym),e(vt,zr),e(zr,xm),e(vt,$m),e(F,wm),h(mo,F,null),e(F,Dm),h(po,F,null),e(N,km),e(N,fo),h(yt,fo,null),e(fo,Tm),e(fo,Vr),e(Vr,Mm),e(N,Nm),e(N,uo),h(xt,uo,null),e(uo,Em),e(uo,$t),e($t,Am),e($t,Br),e(Br,Um),e($t,Cm),p(o,ld,m),p(o,Ee,m),e(Ee,ho),e(ho,Kr),h(wt,Kr,null),e(Ee,Fm),e(Ee,Sr),e(Sr,Pm),p(o,cd,m),p(o,Dt,m),h(kt,Dt,null),p(o,md,m),p(o,Ae,m),e(Ae,_o),e(_o,Wr),h(Tt,Wr,null),e(Ae,Om),e(Ae,Xr),e(Xr,qm),p(o,pd,m),p(o,H,m),h(Mt,H,null),e(H,Lm),e(H,Hr),e(Hr,jm),e(H,Im),e(H,Nt),e(Nt,zm),e(Nt,Vs),e(Vs,Vm),e(Nt,Bm),e(H,Km),e(H,Bs),h(Et,Bs,null),p(o,fd,m),p(o,Ue,m),e(Ue,go),e(go,Qr),h(At,Qr,null),e(Ue,Sm),e(Ue,Rr),e(Rr,Wm),p(o,ud,m),p(o,Ut,m),h(Ct,Ut,null),p(o,hd,m),p(o,Ce,m),e(Ce,bo),e(bo,Yr),h(Ft,Yr,null),e(Ce,Xm),e(Ce,Gr),e(Gr,Hm),p(o,_d,m),p(o,Q,m),h(Pt,Q,null),e(Q,Qm),e(Q,Jr),e(Jr,Rm),e(Q,Ym),e(Q,Ot),e(Ot,Gm),e(Ot,Ks),e(Ks,Jm),e(Ot,Zm),e(Q,ep),e(Q,Ss),h(qt,Ss,null),p(o,gd,m),p(o,Fe,m),e(Fe,vo),e(vo,Zr),h(Lt,Zr,null),e(Fe,op),e(Fe,ea),e(ea,tp),p(o,bd,m),p(o,jt,m),h(It,jt,null),p(o,vd,m),p(o,Pe,m),e(Pe,yo),e(yo,oa),h(zt,oa,null),e(Pe,np),e(Pe,ta),e(ta,sp),p(o,yd,m),p(o,P,m),h(Vt,P,null),e(P,rp),e(P,na),e(na,ap),e(P,ip),e(P,Bt),e(Bt,dp),e(Bt,Ws),e(Ws,lp),e(Bt,cp),e(P,mp),e(P,Xs),h(Kt,Xs,null),e(P,pp),e(P,he),h(St,he,null),e(he,fp),e(he,sa),e(sa,up),e(he,hp),e(he,ra),e(ra,_p),e(P,gp),e(P,Hs),h(Wt,Hs,null),p(o,xd,m),p(o,Oe,m),e(Oe,xo),e(xo,aa),h(Xt,aa,null),e(Oe,bp),e(Oe,ia),e(ia,vp),p(o,$d,m),p(o,Ht,m),h(Qt,Ht,null),p(o,wd,m),p(o,qe,m),e(qe,$o),e($o,da),h(Rt,da,null),e(qe,yp),e(qe,la),e(la,xp),p(o,Dd,m),p(o,O,m),h(Yt,O,null),e(O,$p),e(O,ca),e(ca,wp),e(O,Dp),e(O,Gt),e(Gt,kp),e(Gt,Qs),e(Qs,Tp),e(Gt,Mp),e(O,Np),e(O,Rs),h(Jt,Rs,null),e(O,Ep),e(O,_e),h(Zt,_e,null),e(_e,Ap),e(_e,ma),e(ma,Up),e(_e,Cp),e(_e,pa),e(pa,Fp),e(O,Pp),e(O,Ys),h(en,Ys,null),p(o,kd,m),p(o,Le,m),e(Le,wo),e(wo,fa),h(on,fa,null),e(Le,Op),e(Le,ua),e(ua,qp),p(o,Td,m),p(o,je,m),h(tn,je,null),e(je,Lp),e(je,ha),e(ha,jp),p(o,Md,m),p(o,Ie,m),e(Ie,Do),e(Do,_a),h(nn,_a,null),e(Ie,Ip),e(Ie,ga),e(ga,zp),p(o,Nd,m),p(o,ze,m),h(sn,ze,null),e(ze,Vp),e(ze,ba),e(ba,Bp),p(o,Ed,m),p(o,Ve,m),e(Ve,ko),e(ko,va),h(rn,va,null),e(Ve,Kp),e(Ve,ya),e(ya,Sp),p(o,Ad,m),p(o,R,m),h(an,R,null),e(R,Wp),e(R,xa),e(xa,Xp),e(R,Hp),e(R,dn),e(dn,Qp),e(dn,Gs),e(Gs,Rp),e(dn,Yp),e(R,Gp),e(R,Js),h(ln,Js,null),p(o,Ud,m),p(o,Be,m),e(Be,To),e(To,$a),h(cn,$a,null),e(Be,Jp),e(Be,wa),e(wa,Zp),p(o,Cd,m),p(o,Ke,m),h(mn,Ke,null),e(Ke,ef),e(Ke,Da),e(Da,of),p(o,Fd,m),p(o,Se,m),e(Se,Mo),e(Mo,ka),h(pn,ka,null),e(Se,tf),e(Se,Ta),e(Ta,nf),p(o,Pd,m),p(o,E,m),h(fn,E,null),e(E,sf),e(E,Ma),e(Ma,rf),e(E,af),e(E,un),e(un,df),e(un,Zs),e(Zs,lf),e(un,cf),e(E,mf),e(E,No),h(hn,No,null),e(No,pf),e(No,_n),e(_n,ff),e(_n,Na),e(Na,uf),e(_n,hf),e(E,_f),e(E,Eo),h(gn,Eo,null),e(Eo,gf),e(Eo,bn),e(bn,bf),e(bn,Ea),e(Ea,vf),e(bn,yf),e(E,xf),e(E,Ao),h(vn,Ao,null),e(Ao,$f),e(Ao,Aa),e(Aa,wf),e(E,Df),e(E,Uo),h(yn,Uo,null),e(Uo,kf),e(Uo,Ua),e(Ua,Tf),e(E,Mf),e(E,er),h(xn,er,null),e(E,Nf),e(E,Co),h($n,Co,null),e(Co,Ef),e(Co,Ca),e(Ca,Af),e(E,Uf),e(E,Fo),h(wn,Fo,null),e(Fo,Cf),e(Fo,Fa),e(Fa,Ff),p(o,Od,m),p(o,We,m),e(We,Po),e(Po,Pa),h(Dn,Pa,null),e(We,Pf),e(We,Oa),e(Oa,Of),p(o,qd,m),p(o,q,m),h(kn,q,null),e(q,qf),e(q,qa),e(qa,Lf),e(q,jf),e(q,La),e(La,If),e(q,zf),e(q,Tn),e(Tn,Vf),e(Tn,ja),e(ja,Bf),e(Tn,Kf),e(q,Sf),e(q,Ia),e(Ia,Wf),e(q,Xf),e(q,or),h(Mn,or,null),p(o,Ld,m),p(o,Xe,m),e(Xe,Oo),e(Oo,za),h(Nn,za,null),e(Xe,Hf),e(Xe,Va),e(Va,Qf),p(o,jd,m),p(o,En,m),h(An,En,null),p(o,Id,m),p(o,He,m),e(He,qo),e(qo,Ba),h(Un,Ba,null),e(He,Rf),e(He,Ka),e(Ka,Yf),p(o,zd,m),p(o,ie,m),h(Cn,ie,null),e(ie,Gf),e(ie,Sa),e(Sa,Jf),e(ie,Zf),e(ie,tr),h(Fn,tr,null),p(o,Vd,m),p(o,Qe,m),e(Qe,Lo),e(Lo,Wa),h(Pn,Wa,null),e(Qe,eu),e(Qe,Xa),e(Xa,ou),p(o,Bd,m),p(o,On,m),h(qn,On,null),p(o,Kd,m),p(o,Re,m),e(Re,jo),e(jo,Ha),h(Ln,Ha,null),e(Re,tu),e(Re,Qa),e(Qa,nu),p(o,Sd,m),p(o,z,m),h(jn,z,null),e(z,su),e(z,Ra),e(Ra,ru),e(z,au),e(z,In),e(In,iu),e(In,nr),e(nr,du),e(In,lu),e(z,cu),e(z,sr),e(sr,mu),e(sr,zn),e(zn,pu),e(z,fu),e(z,rr),h(Vn,rr,null),p(o,Wd,m),p(o,Ye,m),e(Ye,Io),e(Io,Ya),h(Bn,Ya,null),e(Ye,uu),e(Ye,Ga),e(Ga,hu),p(o,Xd,m),p(o,Kn,m),h(Sn,Kn,null),p(o,Hd,m),p(o,Ge,m),e(Ge,zo),e(zo,Ja),h(Wn,Ja,null),e(Ge,_u),e(Ge,Za),e(Za,gu),p(o,Qd,m),p(o,Xn,m),h(Hn,Xn,null),p(o,Rd,m),p(o,Je,m),e(Je,Vo),e(Vo,ei),h(Qn,ei,null),e(Je,bu),e(Je,oi),e(oi,vu),p(o,Yd,m),p(o,Y,m),h(Rn,Y,null),e(Y,yu),e(Y,Bo),h(Yn,Bo,null),e(Bo,xu),e(Bo,ti),e(ti,$u),e(Y,wu),e(Y,ge),h(Gn,ge,null),e(ge,Du),e(ge,ni),e(ni,ku),e(ge,Tu),e(ge,si),e(si,Mu),e(Y,Nu),e(Y,ar),h(Jn,ar,null),p(o,Gd,m),p(o,Ze,m),e(Ze,Ko),e(Ko,ri),h(Zn,ri,null),e(Ze,Eu),e(Ze,ai),e(ai,Au),p(o,Jd,m),p(o,U,m),h(es,U,null),e(U,Uu),e(U,ii),e(ii,Cu),e(U,Fu),e(U,ir),e(ir,dr),e(dr,Pu),e(ir,Ou),e(U,qu),e(U,K),h(os,K,null),e(K,Lu),e(K,di),e(di,ju),e(K,Iu),e(K,ts),e(ts,zu),e(ts,li),e(li,Vu),e(ts,Bu),e(K,Ku),e(K,ns),e(ns,Su),e(ns,ci),e(ci,Wu),e(ns,Xu),e(K,Hu),h(So,K,null),e(U,Qu),e(U,Wo),h(ss,Wo,null),e(Wo,Ru),e(Wo,rs),e(rs,Yu),e(rs,mi),e(mi,Gu),e(rs,Ju),e(U,Zu),e(U,oe),h(as,oe,null),e(oe,eh),e(oe,G),e(G,oh),e(G,pi),e(pi,th),e(G,nh),e(G,fi),e(fi,sh),e(G,rh),e(G,ui),e(ui,ah),e(G,ih),e(G,hi),e(hi,dh),e(G,lh),e(oe,ch),e(oe,_i),e(_i,mh),e(oe,ph),h(Xo,oe,null),e(U,fh),e(U,te),h(is,te,null),e(te,uh),e(te,J),e(J,hh),e(J,gi),e(gi,_h),e(J,gh),e(J,bi),e(bi,bh),e(J,vh),e(J,vi),e(vi,yh),e(J,xh),e(J,yi),e(yi,$h),e(J,wh),e(te,Dh),e(te,xi),e(xi,kh),e(te,Th),h(Ho,te,null),e(U,Mh),e(U,be),h(ds,be,null),e(be,Nh),e(be,Z),e(Z,Eh),e(Z,$i),e($i,Ah),e(Z,Uh),e(Z,wi),e(wi,Ch),e(Z,Fh),e(Z,Di),e(Di,Ph),e(Z,Oh),e(Z,ki),e(ki,qh),e(Z,Lh),e(be,jh),h(Qo,be,null),p(o,Zd,m),p(o,eo,m),e(eo,Ro),e(Ro,Ti),h(ls,Ti,null),e(eo,Ih),e(eo,Mi),e(Mi,zh),p(o,el,m),p(o,oo,m),h(cs,oo,null),e(oo,Vh),e(oo,Yo),h(ms,Yo,null),e(Yo,Bh),e(Yo,Ni),e(Ni,Kh),p(o,ol,m),p(o,to,m),e(to,Go),e(Go,Ei),h(ps,Ei,null),e(to,Sh),e(to,Ai),e(Ai,Wh),p(o,tl,m),p(o,L,m),h(fs,L,null),e(L,Xh),e(L,Ui),e(Ui,Hh),e(L,Qh),e(L,us),e(us,Rh),e(us,lr),e(lr,Yh),e(us,Gh),e(L,Jh),e(L,hs),e(hs,Zh),e(hs,_s),e(_s,e_),e(hs,o_),e(L,t_),e(L,Ci),e(Ci,n_),e(L,s_),e(L,de),e(de,Fi),e(Fi,gs),e(gs,r_),e(de,a_),e(de,Pi),e(Pi,bs),e(bs,i_),e(de,d_),e(de,Oi),e(Oi,vs),e(vs,l_),e(de,c_),e(de,qi),e(qi,ys),e(ys,m_),p(o,nl,m),p(o,no,m),e(no,Jo),e(Jo,Li),h(xs,Li,null),e(no,p_),e(no,ji),e(ji,f_),p(o,sl,m),p(o,le,m),h($s,le,null),e(le,u_),e(le,Ii),e(Ii,h_),e(le,__),e(le,Zo),h(ws,Zo,null),e(Zo,g_),e(Zo,zi),e(zi,b_),p(o,rl,m),p(o,so,m),e(so,et),e(et,Vi),h(Ds,Vi,null),e(so,v_),e(so,Bi),e(Bi,y_),p(o,al,m),p(o,ce,m),h(ks,ce,null),e(ce,x_),e(ce,Ki),e(Ki,$_),e(ce,w_),e(ce,ot),h(Ts,ot,null),e(ot,D_),e(ot,Si),e(Si,k_),p(o,il,m),p(o,ro,m),e(ro,tt),e(tt,Wi),h(Ms,Wi,null),e(ro,T_),e(ro,Xi),e(Xi,M_),p(o,dl,m),p(o,V,m),h(Ns,V,null),e(V,N_),e(V,Hi),e(Hi,E_),e(V,A_),e(V,Es),e(Es,U_),e(Es,As),e(As,C_),e(Es,F_),e(V,P_),e(V,Qi),e(Qi,O_),e(V,q_),e(V,me),e(me,Ri),e(Ri,Us),e(Us,L_),e(me,j_),e(me,Yi),e(Yi,Cs),e(Cs,I_),e(me,z_),e(me,Gi),e(Gi,Fs),e(Fs,V_),e(me,B_),e(me,Ji),e(Ji,Ps),e(Ps,K_),ll=!0},p(o,[m]){const Os={};m&2&&(Os.$$scope={dirty:m,ctx:o}),co.$set(Os);const Zi={};m&2&&(Zi.$$scope={dirty:m,ctx:o}),mo.$set(Zi);const ed={};m&2&&(ed.$$scope={dirty:m,ctx:o}),po.$set(ed);const od={};m&2&&(od.$$scope={dirty:m,ctx:o}),So.$set(od);const ao={};m&2&&(ao.$$scope={dirty:m,ctx:o}),Xo.$set(ao);const td={};m&2&&(td.$$scope={dirty:m,ctx:o}),Ho.$set(td);const nd={};m&2&&(nd.$$scope={dirty:m,ctx:o}),Qo.$set(nd)},i(o){ll||(_(v.$$.fragment,o),_(mt.$$.fragment,o),_(pt.$$.fragment,o),_(ft.$$.fragment,o),_(ut.$$.fragment,o),_(ht.$$.fragment,o),_(_t.$$.fragment,o),_(co.$$.fragment,o),_(gt.$$.fragment,o),_(mo.$$.fragment,o),_(po.$$.fragment,o),_(yt.$$.fragment,o),_(xt.$$.fragment,o),_(wt.$$.fragment,o),_(kt.$$.fragment,o),_(Tt.$$.fragment,o),_(Mt.$$.fragment,o),_(Et.$$.fragment,o),_(At.$$.fragment,o),_(Ct.$$.fragment,o),_(Ft.$$.fragment,o),_(Pt.$$.fragment,o),_(qt.$$.fragment,o),_(Lt.$$.fragment,o),_(It.$$.fragment,o),_(zt.$$.fragment,o),_(Vt.$$.fragment,o),_(Kt.$$.fragment,o),_(St.$$.fragment,o),_(Wt.$$.fragment,o),_(Xt.$$.fragment,o),_(Qt.$$.fragment,o),_(Rt.$$.fragment,o),_(Yt.$$.fragment,o),_(Jt.$$.fragment,o),_(Zt.$$.fragment,o),_(en.$$.fragment,o),_(on.$$.fragment,o),_(tn.$$.fragment,o),_(nn.$$.fragment,o),_(sn.$$.fragment,o),_(rn.$$.fragment,o),_(an.$$.fragment,o),_(ln.$$.fragment,o),_(cn.$$.fragment,o),_(mn.$$.fragment,o),_(pn.$$.fragment,o),_(fn.$$.fragment,o),_(hn.$$.fragment,o),_(gn.$$.fragment,o),_(vn.$$.fragment,o),_(yn.$$.fragment,o),_(xn.$$.fragment,o),_($n.$$.fragment,o),_(wn.$$.fragment,o),_(Dn.$$.fragment,o),_(kn.$$.fragment,o),_(Mn.$$.fragment,o),_(Nn.$$.fragment,o),_(An.$$.fragment,o),_(Un.$$.fragment,o),_(Cn.$$.fragment,o),_(Fn.$$.fragment,o),_(Pn.$$.fragment,o),_(qn.$$.fragment,o),_(Ln.$$.fragment,o),_(jn.$$.fragment,o),_(Vn.$$.fragment,o),_(Bn.$$.fragment,o),_(Sn.$$.fragment,o),_(Wn.$$.fragment,o),_(Hn.$$.fragment,o),_(Qn.$$.fragment,o),_(Rn.$$.fragment,o),_(Yn.$$.fragment,o),_(Gn.$$.fragment,o),_(Jn.$$.fragment,o),_(Zn.$$.fragment,o),_(es.$$.fragment,o),_(os.$$.fragment,o),_(So.$$.fragment,o),_(ss.$$.fragment,o),_(as.$$.fragment,o),_(Xo.$$.fragment,o),_(is.$$.fragment,o),_(Ho.$$.fragment,o),_(ds.$$.fragment,o),_(Qo.$$.fragment,o),_(ls.$$.fragment,o),_(cs.$$.fragment,o),_(ms.$$.fragment,o),_(ps.$$.fragment,o),_(fs.$$.fragment,o),_(xs.$$.fragment,o),_($s.$$.fragment,o),_(ws.$$.fragment,o),_(Ds.$$.fragment,o),_(ks.$$.fragment,o),_(Ts.$$.fragment,o),_(Ms.$$.fragment,o),_(Ns.$$.fragment,o),ll=!0)},o(o){g(v.$$.fragment,o),g(mt.$$.fragment,o),g(pt.$$.fragment,o),g(ft.$$.fragment,o),g(ut.$$.fragment,o),g(ht.$$.fragment,o),g(_t.$$.fragment,o),g(co.$$.fragment,o),g(gt.$$.fragment,o),g(mo.$$.fragment,o),g(po.$$.fragment,o),g(yt.$$.fragment,o),g(xt.$$.fragment,o),g(wt.$$.fragment,o),g(kt.$$.fragment,o),g(Tt.$$.fragment,o),g(Mt.$$.fragment,o),g(Et.$$.fragment,o),g(At.$$.fragment,o),g(Ct.$$.fragment,o),g(Ft.$$.fragment,o),g(Pt.$$.fragment,o),g(qt.$$.fragment,o),g(Lt.$$.fragment,o),g(It.$$.fragment,o),g(zt.$$.fragment,o),g(Vt.$$.fragment,o),g(Kt.$$.fragment,o),g(St.$$.fragment,o),g(Wt.$$.fragment,o),g(Xt.$$.fragment,o),g(Qt.$$.fragment,o),g(Rt.$$.fragment,o),g(Yt.$$.fragment,o),g(Jt.$$.fragment,o),g(Zt.$$.fragment,o),g(en.$$.fragment,o),g(on.$$.fragment,o),g(tn.$$.fragment,o),g(nn.$$.fragment,o),g(sn.$$.fragment,o),g(rn.$$.fragment,o),g(an.$$.fragment,o),g(ln.$$.fragment,o),g(cn.$$.fragment,o),g(mn.$$.fragment,o),g(pn.$$.fragment,o),g(fn.$$.fragment,o),g(hn.$$.fragment,o),g(gn.$$.fragment,o),g(vn.$$.fragment,o),g(yn.$$.fragment,o),g(xn.$$.fragment,o),g($n.$$.fragment,o),g(wn.$$.fragment,o),g(Dn.$$.fragment,o),g(kn.$$.fragment,o),g(Mn.$$.fragment,o),g(Nn.$$.fragment,o),g(An.$$.fragment,o),g(Un.$$.fragment,o),g(Cn.$$.fragment,o),g(Fn.$$.fragment,o),g(Pn.$$.fragment,o),g(qn.$$.fragment,o),g(Ln.$$.fragment,o),g(jn.$$.fragment,o),g(Vn.$$.fragment,o),g(Bn.$$.fragment,o),g(Sn.$$.fragment,o),g(Wn.$$.fragment,o),g(Hn.$$.fragment,o),g(Qn.$$.fragment,o),g(Rn.$$.fragment,o),g(Yn.$$.fragment,o),g(Gn.$$.fragment,o),g(Jn.$$.fragment,o),g(Zn.$$.fragment,o),g(es.$$.fragment,o),g(os.$$.fragment,o),g(So.$$.fragment,o),g(ss.$$.fragment,o),g(as.$$.fragment,o),g(Xo.$$.fragment,o),g(is.$$.fragment,o),g(Ho.$$.fragment,o),g(ds.$$.fragment,o),g(Qo.$$.fragment,o),g(ls.$$.fragment,o),g(cs.$$.fragment,o),g(ms.$$.fragment,o),g(ps.$$.fragment,o),g(fs.$$.fragment,o),g(xs.$$.fragment,o),g($s.$$.fragment,o),g(ws.$$.fragment,o),g(Ds.$$.fragment,o),g(ks.$$.fragment,o),g(Ts.$$.fragment,o),g(Ms.$$.fragment,o),g(Ns.$$.fragment,o),ll=!1},d(o){t(x),o&&t(T),o&&t(D),b(v),o&&t(W),o&&t(X),o&&t(id),o&&t(Me),b(mt),o&&t(dd),o&&t(N),b(pt),b(ft),b(ut),b(ht),b(_t),b(co),b(gt),b(mo),b(po),b(yt),b(xt),o&&t(ld),o&&t(Ee),b(wt),o&&t(cd),o&&t(Dt),b(kt),o&&t(md),o&&t(Ae),b(Tt),o&&t(pd),o&&t(H),b(Mt),b(Et),o&&t(fd),o&&t(Ue),b(At),o&&t(ud),o&&t(Ut),b(Ct),o&&t(hd),o&&t(Ce),b(Ft),o&&t(_d),o&&t(Q),b(Pt),b(qt),o&&t(gd),o&&t(Fe),b(Lt),o&&t(bd),o&&t(jt),b(It),o&&t(vd),o&&t(Pe),b(zt),o&&t(yd),o&&t(P),b(Vt),b(Kt),b(St),b(Wt),o&&t(xd),o&&t(Oe),b(Xt),o&&t($d),o&&t(Ht),b(Qt),o&&t(wd),o&&t(qe),b(Rt),o&&t(Dd),o&&t(O),b(Yt),b(Jt),b(Zt),b(en),o&&t(kd),o&&t(Le),b(on),o&&t(Td),o&&t(je),b(tn),o&&t(Md),o&&t(Ie),b(nn),o&&t(Nd),o&&t(ze),b(sn),o&&t(Ed),o&&t(Ve),b(rn),o&&t(Ad),o&&t(R),b(an),b(ln),o&&t(Ud),o&&t(Be),b(cn),o&&t(Cd),o&&t(Ke),b(mn),o&&t(Fd),o&&t(Se),b(pn),o&&t(Pd),o&&t(E),b(fn),b(hn),b(gn),b(vn),b(yn),b(xn),b($n),b(wn),o&&t(Od),o&&t(We),b(Dn),o&&t(qd),o&&t(q),b(kn),b(Mn),o&&t(Ld),o&&t(Xe),b(Nn),o&&t(jd),o&&t(En),b(An),o&&t(Id),o&&t(He),b(Un),o&&t(zd),o&&t(ie),b(Cn),b(Fn),o&&t(Vd),o&&t(Qe),b(Pn),o&&t(Bd),o&&t(On),b(qn),o&&t(Kd),o&&t(Re),b(Ln),o&&t(Sd),o&&t(z),b(jn),b(Vn),o&&t(Wd),o&&t(Ye),b(Bn),o&&t(Xd),o&&t(Kn),b(Sn),o&&t(Hd),o&&t(Ge),b(Wn),o&&t(Qd),o&&t(Xn),b(Hn),o&&t(Rd),o&&t(Je),b(Qn),o&&t(Yd),o&&t(Y),b(Rn),b(Yn),b(Gn),b(Jn),o&&t(Gd),o&&t(Ze),b(Zn),o&&t(Jd),o&&t(U),b(es),b(os),b(So),b(ss),b(as),b(Xo),b(is),b(Ho),b(ds),b(Qo),o&&t(Zd),o&&t(eo),b(ls),o&&t(el),o&&t(oo),b(cs),b(ms),o&&t(ol),o&&t(to),b(ps),o&&t(tl),o&&t(L),b(fs),o&&t(nl),o&&t(no),b(xs),o&&t(sl),o&&t(le),b($s),b(ws),o&&t(rl),o&&t(so),b(Ds),o&&t(al),o&&t(ce),b(ks),b(Ts),o&&t(il),o&&t(ro),b(Ms),o&&t(dl),o&&t(V),b(Ns)}}}const e1={local:"models",sections:[{local:"diffusers.ModelMixin",title:"ModelMixin"},{local:"diffusers.models.unet_2d.UNet2DOutput",title:"UNet2DOutput"},{local:"diffusers.UNet2DModel",title:"UNet2DModel"},{local:"diffusers.models.unet_1d.UNet1DOutput",title:"UNet1DOutput"},{local:"diffusers.UNet1DModel",title:"UNet1DModel"},{local:"diffusers.models.unet_2d_condition.UNet2DConditionOutput",title:"UNet2DConditionOutput"},{local:"diffusers.UNet2DConditionModel",title:"UNet2DConditionModel"},{local:"diffusers.models.unet_3d_condition.UNet3DConditionOutput",title:"UNet3DConditionOutput"},{local:"diffusers.UNet3DConditionModel",title:"UNet3DConditionModel"},{local:"diffusers.models.vae.DecoderOutput",title:"DecoderOutput"},{local:"diffusers.models.vq_model.VQEncoderOutput",title:"VQEncoderOutput"},{local:"diffusers.VQModel",title:"VQModel"},{local:"diffusers.models.autoencoder_kl.AutoencoderKLOutput",title:"AutoencoderKLOutput"},{local:"diffusers.AutoencoderKL",title:"AutoencoderKL"},{local:"diffusers.Transformer2DModel",title:"Transformer2DModel"},{local:"diffusers.models.transformer_2d.Transformer2DModelOutput",title:"Transformer2DModelOutput"},{local:"diffusers.models.transformer_temporal.TransformerTemporalModel",title:"TransformerTemporalModel"},{local:"diffusers.models.transformer_temporal.TransformerTemporalModelOutput",title:"Transformer2DModelOutput"},{local:"diffusers.PriorTransformer",title:"PriorTransformer"},{local:"diffusers.models.prior_transformer.PriorTransformerOutput",title:"PriorTransformerOutput"},{local:"diffusers.models.controlnet.ControlNetOutput",title:"ControlNetOutput"},{local:"diffusers.ControlNetModel",title:"ControlNetModel"},{local:"diffusers.FlaxModelMixin",title:"FlaxModelMixin"},{local:"diffusers.models.unet_2d_condition_flax.FlaxUNet2DConditionOutput",title:"FlaxUNet2DConditionOutput"},{local:"diffusers.FlaxUNet2DConditionModel",title:"FlaxUNet2DConditionModel"},{local:"diffusers.models.vae_flax.FlaxDecoderOutput",title:"FlaxDecoderOutput"},{local:"diffusers.models.vae_flax.FlaxAutoencoderKLOutput",title:"FlaxAutoencoderKLOutput"},{local:"diffusers.FlaxAutoencoderKL",title:"FlaxAutoencoderKL"}],title:"Models"};function o1(j){return Wv(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class d1 extends Vv{constructor(x){super();Bv(this,x,o1,Zv,Kv,{})}}export{d1 as default,e1 as metadata};
